(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25593,        698]
NotebookOptionsPosition[     18333,        540]
NotebookOutlinePosition[     20557,        597]
CellTagsIndexPosition[     20472,        592]
WindowTitle->Adjoint
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "f377c8bb-7bb2-4648-8dcf-a8fa52d6ba7d"], Cell[TextData[Cell[BoxData[
     ActionMenuBox[
      FrameBox[
       InterpretationBox[Cell[TextData[{
         "URL",
         StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
          StripOnInput->False]
        }],ExpressionUUID->"f7d70452-4404-449e-abb2-39a9059670fb"],
        TextCell[
         Row[{"URL", 
           Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
       StripOnInput->False], {"\<\"GroupMath/ref/Adjoint\"\>":>
      None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["GroupMath/ref/Adjoint"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web URL\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/language/GroupMath/ref/Adjoint.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
           False]]; SelectionMove[
        DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
            If[
             TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$6898], 
             "http://reference.wolfram.com/system-modeler/", 
             "http://reference.wolfram.com/language/"], 
            "GroupMath/ref/Adjoint", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic,
      MenuStyle->"URLMenu"]],
     LineSpacing->{1.4, 0},ExpressionUUID->
     "9897ade2-35da-4b88-9a62-b2847417ac4a"]], "AnchorBar",ExpressionUUID->
     "af7551aa-5cb9-4658-b1b6-4818fd0e20c6"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"9c8f172f-813e-4b7f-b931-c27fdee09f50"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["Adjoint", "ObjectName",ExpressionUUID->
  "bd452a52-762f-465b-9fcf-79d23b8cb6ce"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"221069a3-e147-44f2-94f4-2ae5e1f59f3d"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "4879b29b-dc66-4173-9790-8eea77ebcb9e"]
}], "ObjectNameGrid",ExpressionUUID->"74ad53c4-0ed3-4a9f-830c-f02bd14ea171"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Adjoint", "[", "group", "]"}]], "InlineFormula",ExpressionUUID->
      "bdaa8b04-819f-4e78-8c58-46008a0f57d7"],
     " \[LineSeparator]Returns the adjoint representation of  ",
     Cell[BoxData[
     "group"], "InlineFormula",ExpressionUUID->
      "1fc38e39-4c24-44e9-a5ee-a0bf1dc75715"]
    }],ExpressionUUID->"58f8eb45-67e0-4f32-9e08-9261bb085895"]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Adjoint", "[", 
       RowBox[{"{", 
        RowBox[{"group1", ",", "group2", ",", "..."}], "}"}], "]"}]], 
      "InlineFormula",ExpressionUUID->"311fddeb-0406-4d58-b238-981e6c9ee83d"],
     "\[LineSeparator]Returns the adjoint representations of the ",
     Cell[BoxData[
     "group1"], "InlineFormula",ExpressionUUID->
      "68879c10-e04c-4a35-867a-0af96d5ea529"],
     ", ",
     Cell[BoxData[
     "group2"], "InlineFormula",ExpressionUUID->
      "91940065-948b-4432-b248-3bf31b7eccc3"],
     ", ..."
    }],ExpressionUUID->"9a31a47c-ba31-41b6-ab6e-ba13f8b7b1c4"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {None, {None}}}},
 CellID->982511436,ExpressionUUID->"58601d35-0923-445b-9765-17aaba67321c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"197c0fa0-f10a-42eb-a5e0-2976469c5e31"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"7f89d3b9-4ebe-4a0d-b176-c4212641fbf8"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"cfd9fb57-4ec7-4de1-8031-ae546f0a12cc"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->431501174,ExpressionUUID->"8143d0c1-2e65-4612-a742-c621789ff07c"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"43490863-e300-4501-8e79-3b4091090d22"],

Cell[TextData[{
 "Argument ",
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "337a1db5-b1cf-497d-abef-1674a623e47e"],
 " should be the ",
 ButtonBox["Cartan matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 " of the group."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"5e5d77de-297a-4d18-9478-d29ba27f81b5"],

Cell[TextData[{
 "This method outputs the Dynkin coefficients of the adjoint representation \
of ",
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "d6bb09b7-365e-461b-9d1d-72e491bd905b"],
 "."
}], "Notes",
 CellID->546509205,ExpressionUUID->"a3334496-5c85-49e4-a25b-784f3e09292e"],

Cell[TextData[{
 "A list of Cartan matrices ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"group1", ",", " ", "group2", ",", "..."}], "}"}]], 
  "InlineFormula",ExpressionUUID->"89666419-60a3-4efe-82a1-4cb0aed8c626"],
 " can also be used as input. The output is the list of adjoint \
representations of the given groups."
}], "Notes",
 CellID->12343971,ExpressionUUID->"89bcc6c6-9910-4478-9801-cdc390ee6d5b"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"1ae07892-9595-4198-9be4-d8238e655ebb"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"031e2fe6-eaa3-4b67-a1fb-2a5038e95c60"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(4)", "ExampleCount",ExpressionUUID->
  "cfe838c0-0a29-479b-a7f4-76850d7258e1"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->34425031,ExpressionUUID->"f4ede1d1-b269-43e4-b499-4b98debef6fb"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(3)", "ExampleCount",ExpressionUUID->
  "5ba77796-df4b-4073-a67d-24daf427d7ca"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->256135607,ExpressionUUID->"021ba39d-4399-4599-8e2b-84985c3dd2b7"],

Cell["\<\
The adjoint representation of SU(2) is the triplet representation [={2} in \
Dynkin coefficients]:\
\>", "ExampleText",
 CellID->381696680,ExpressionUUID->"779f8f02-4651-41dc-9f90-52f3973fe41f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Adjoint", "[", "SU2", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->499648059,ExpressionUUID->"4f7e291d-60df-4cb3-8260-8273b0c3be5b"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->15951637,ExpressionUUID->"52d6db60-8b95-41dc-9502-ba6e9ac8027c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "2e890515-2004-48c4-a382-ac8b13f237cb"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->39611453,ExpressionUUID->"30eaf01b-1f4c-4819-856b-371c0a3485eb"],

Cell["Two more examples:", "ExampleText",
 CellID->834812430,ExpressionUUID->"ff0b4d79-c8da-4b3d-a7de-9fd7f28c60ba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Adjoint", "[", "SU5", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->75387750,ExpressionUUID->"5721c94a-1ba1-4837-903a-65c84460ac2b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->464743920,ExpressionUUID->"8f2333d3-a593-495c-8e33-3b8c1e0eb3af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Adjoint", "[", "SO10", "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->755795908,ExpressionUUID->"3e94e03b-80a9-403e-baa5-42433b1787a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->176377174,ExpressionUUID->"fc1daa7e-168b-4e07-a8ee-ff639e5d8e5b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "d3944d3c-93ed-442a-8f03-746411d2ce21"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->8444481,ExpressionUUID->"a9ab44c3-1cab-4ede-90fc-d0524185e29b"],

Cell["\<\
If a list of simple groups is given, a list of representations is returned.\
\>", "ExampleText",
 CellID->25199202,ExpressionUUID->"24e48b69-224a-4b2c-8de1-f9e0e9f5c64e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Adjoint", "[", 
  RowBox[{"{", 
   RowBox[{"SU2", ",", "SU5", ",", "SO10"}], "}"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->234527753,ExpressionUUID->"d50e5919-4fc3-427f-9a11-52940a877e39"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "2", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->201102660,ExpressionUUID->"dda6025b-a6a3-41f8-aa25-8bb70e40f8b8"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Neat Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "c8b979c6-fa2c-470b-a5a0-d52333267295"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->589267740,ExpressionUUID->"aff1139d-1e5a-4582-b0e6-7f8ba07e94c4"],

Cell["\<\
Dimension of the adjoint representations of SU(2), SU(3) ..., SU(30).\
\>", "ExampleText",
 CellID->612391093,ExpressionUUID->"b4618fbb-5d9e-4d90-a4ac-3adadc9e2a90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"DimR", "[", 
      RowBox[{
       RowBox[{"CartanMatrix", "[", 
        RowBox[{"\"\<SU\>\"", ",", "n"}], "]"}], ",", 
       RowBox[{"Adjoint", "[", 
        RowBox[{"CartanMatrix", "[", 
         RowBox[{"\"\<SU\>\"", ",", "n"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "2", ",", "30"}], "}"}]}], "]"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<n of SU(n)\>\"", ",", "\"\<Dimension of adjoint rep\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->403110427,ExpressionUUID->"1322e83b-83b4-4ed8-aad4-21757c22eb55"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd0E0LAUEYwPHJydHBYQ8UkiRpvb9n3NyUHJyE2nJQW5K2lEYiyYfaj7If
YY+O6Plf1tT06z9Ps02b3bgzJ6aUSn/3T1nhSIxrDjCjo+cVTGAHk6IZ0xZO
MMV8+vfdOeZEf0HncYkFMVjTRXSwJK62dBl30XcHLm3jHquifaBrvPdI18XQ
oxvMT3ST+2e6xdzQbfF9oflv5kp3RetG90T/TvdF70EPRP2kh9x/6Q96TysQ

      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"n of SU(n)\"", TraditionalForm], 
    FormBox["\"Dimension of adjoint rep\"", TraditionalForm]},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{375., Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 29.}, {0, 899.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellLabel->"Out[1]=",
 CellID->337460911,ExpressionUUID->"792da45c-38b8-41fc-9075-1ea20440fea1"]
}, Open  ]],

Cell["\<\
Casimir of the adjoint representations of SU(2), SU(3) ..., SU(30).\
\>", "ExampleText",
 CellID->7101568,ExpressionUUID->"e70abbe4-49ae-4fdc-9f46-e2e6a5c312e6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Casimir", "[", 
      RowBox[{
       RowBox[{"CartanMatrix", "[", 
        RowBox[{"\"\<SU\>\"", ",", "n"}], "]"}], ",", 
       RowBox[{"Adjoint", "[", 
        RowBox[{"CartanMatrix", "[", 
         RowBox[{"\"\<SU\>\"", ",", "n"}], "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "2", ",", "30"}], "}"}]}], "]"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<n of SU(n)\>\"", ",", "\"\<Dimension of adjoint rep\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->354736940,ExpressionUUID->"798d212a-e022-4873-9139-1a6def1d114d"],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdxksKQFAAheGbkaGBgQGFJOkm7/fjrsESlLGtWwJi4j/19x1vO9ZdE0I4
d4/vzuU76q8ODWhCC9rQhT4MYAgjGEMJE5jCDOawgCWsYA0b2MIO9nCAI5zg
rC6JBxqe
      "]]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"n of SU(n)\"", TraditionalForm], 
    FormBox["\"Dimension of adjoint rep\"", TraditionalForm]},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{375., Automatic},
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 29.}, {0, 30.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellLabel->"Out[2]=",
 CellID->254902844,ExpressionUUID->"e079d779-5501-46e0-a849-a83682f3419e"]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"5926b115-8efe-4055-a087-7c4e66821823"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"c14471a3-2056-4295-a8c8-d50fdd01a44b"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"67cb116f-bfdf-4328-a42d-da2ccd880cac"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"86161642-b7e6-41f9-85d3-e528c90b53f5"],

Cell[TextData[ButtonBox["GroupMath Tutorial",
 BaseStyle->"Link",
 ButtonData->"paclet:GroupMath/tutorial/GroupMathDoc"]], "SeeAlso",
 CellID->341631938,ExpressionUUID->"39c73d02-3284-4a15-b48e-fad20e5eb6c4"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"c3020bed-5ffe-40a6-8341-154798bae5a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"5ea65947-4314-4e80-a5cf-aa2bad909038"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"e511dfca-2df7-4d44-a676-7dc7d7deb04e"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"1552ffce-c597-47d1-a5df-bd951f3afe66"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CartanMatrix"]],"paclet:GroupMath/ref/CartanMatrix"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "98e68cf0-5e67-45ed-959c-915b08d57843"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["PositiveRoots"]],"paclet:GroupMath/ref/PositiveRoots"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "6e6475c6-03f6-4296-a142-92bb277b165b"]
}], "SeeAlso",
 CellID->44431853,ExpressionUUID->"bdaf6064-f318-4a8a-8af0-30d6ee69e0db"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"514b4d6d-b784-492c-9107-224574e27868"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Adjoint",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 18, 59.8890764}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "Adjoint[group] Returns the adjoint representation of group \
Adjoint[{group1, group2, ...}] Returns the adjoint representations of the \
group1, group2, ...", "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "Adjoint", "titlemodifier" -> "", "windowtitle" -> "Adjoint", "type" -> 
    "Symbol", "uri" -> "GroupMath/ref/Adjoint", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6988, 190, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"f4ede1d1-b269-43e4-b499-4b98debef6fb",
   CellTags->"PrimaryExamplesSection",
   CellID->34425031]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 20275, 585}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[579, 21, 2565, 56, 53, "AnchorBarGrid",ExpressionUUID->"9c8f172f-813e-4b7f-b931-c27fdee09f50",
 CellID->1],
Cell[CellGroupData[{
Cell[3169, 81, 392, 9, 52, "ObjectNameGrid",ExpressionUUID->"74ad53c4-0ed3-4a9f-830c-f02bd14ea171"],
Cell[3564, 92, 1248, 29, 183, "Usage",ExpressionUUID->"58601d35-0923-445b-9765-17aaba67321c",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[4849, 126, 855, 21, 37, "NotesSection",ExpressionUUID->"8143d0c1-2e65-4612-a742-c621789ff07c",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->431501174],
Cell[5707, 149, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"43490863-e300-4501-8e79-3b4091090d22"],
Cell[5796, 151, 359, 11, 70, "Notes",ExpressionUUID->"5e5d77de-297a-4d18-9478-d29ba27f81b5",
 CellID->1067943069],
Cell[6158, 164, 294, 8, 70, "Notes",ExpressionUUID->"a3334496-5c85-49e4-a25b-784f3e09292e",
 CellID->546509205],
Cell[6455, 174, 407, 9, 70, "Notes",ExpressionUUID->"89bcc6c6-9910-4478-9801-cdc390ee6d5b",
 CellID->12343971],
Cell[6865, 185, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"1ae07892-9595-4198-9be4-d8238e655ebb"]
}, Closed]],
Cell[CellGroupData[{
Cell[6988, 190, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"f4ede1d1-b269-43e4-b499-4b98debef6fb",
 CellTags->"PrimaryExamplesSection",
 CellID->34425031],
Cell[CellGroupData[{
Cell[7447, 205, 308, 7, 29, "ExampleSection",ExpressionUUID->"021ba39d-4399-4599-8e2b-84985c3dd2b7",
 CellID->256135607],
Cell[7758, 214, 204, 4, 38, "ExampleText",ExpressionUUID->"779f8f02-4651-41dc-9f90-52f3973fe41f",
 CellID->381696680],
Cell[CellGroupData[{
Cell[7987, 222, 160, 3, 26, "Input",ExpressionUUID->"4f7e291d-60df-4cb3-8260-8273b0c3be5b",
 CellID->499648059],
Cell[8150, 227, 147, 3, 35, "Output",ExpressionUUID->"52d6db60-8b95-41dc-9502-ba6e9ac8027c",
 CellID->15951637]
}, Open  ]],
Cell[CellGroupData[{
Cell[8334, 235, 241, 5, 8, "ExampleDelimiter",ExpressionUUID->"30eaf01b-1f4c-4819-856b-371c0a3485eb",
 CellID->39611453],
Cell[8578, 242, 116, 1, 38, "ExampleText",ExpressionUUID->"ff0b4d79-c8da-4b3d-a7de-9fd7f28c60ba",
 CellID->834812430],
Cell[CellGroupData[{
Cell[8719, 247, 159, 3, 26, "Input",ExpressionUUID->"5721c94a-1ba1-4837-903a-65c84460ac2b",
 CellID->75387750],
Cell[8881, 252, 191, 4, 35, "Output",ExpressionUUID->"8f2333d3-a593-495c-8e33-3b8c1e0eb3af",
 CellID->464743920]
}, Open  ]],
Cell[CellGroupData[{
Cell[9109, 261, 161, 3, 26, "Input",ExpressionUUID->"3e94e03b-80a9-403e-baa5-42433b1787a7",
 CellID->755795908],
Cell[9273, 266, 201, 4, 35, "Output",ExpressionUUID->"fc1daa7e-168b-4e07-a8ee-ff639e5d8e5b",
 CellID->176377174]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9523, 276, 240, 5, 8, "ExampleDelimiter",ExpressionUUID->"a9ab44c3-1cab-4ede-90fc-d0524185e29b",
 CellID->8444481],
Cell[9766, 283, 180, 3, 38, "ExampleText",ExpressionUUID->"24e48b69-224a-4b2c-8de1-f9e0e9f5c64e",
 CellID->25199202],
Cell[CellGroupData[{
Cell[9971, 290, 222, 5, 26, "Input",ExpressionUUID->"d50e5919-4fc3-427f-9a11-52940a877e39",
 CellID->234527753],
Cell[10196, 297, 356, 10, 35, "Output",ExpressionUUID->"dda6025b-a6a3-41f8-aa25-8bb70e40f8b8",
 CellID->201102660]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10613, 314, 307, 7, 70, "ExampleSection",ExpressionUUID->"aff1139d-1e5a-4582-b0e6-7f8ba07e94c4",
 CellID->589267740],
Cell[10923, 323, 175, 3, 70, "ExampleText",ExpressionUUID->"b4618fbb-5d9e-4d90-a4ac-3adadc9e2a90",
 CellID->612391093],
Cell[CellGroupData[{
Cell[11123, 330, 713, 19, 70, "Input",ExpressionUUID->"1322e83b-83b4-4ed8-aad4-21757c22eb55",
 CellID->403110427],
Cell[11839, 351, 1849, 48, 217, "Output",ExpressionUUID->"792da45c-38b8-41fc-9075-1ea20440fea1",
 CellID->337460911]
}, Open  ]],
Cell[13703, 402, 171, 3, 70, "ExampleText",ExpressionUUID->"e70abbe4-49ae-4fdc-9f46-e2e6a5c312e6",
 CellID->7101568],
Cell[CellGroupData[{
Cell[13899, 409, 716, 19, 70, "Input",ExpressionUUID->"798d212a-e022-4873-9139-1a6def1d114d",
 CellID->354736940],
Cell[14618, 430, 1734, 46, 217, "Output",ExpressionUUID->"e079d779-5501-46e0-a849-a83682f3419e",
 CellID->254902844]
}, Open  ]]
}, Closed]],
Cell[16379, 480, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"5926b115-8efe-4055-a087-7c4e66821823"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16502, 485, 262, 7, 70, "TutorialsSection",ExpressionUUID->"67cb116f-bfdf-4328-a42d-da2ccd880cac",
 CellID->250839057],
Cell[16767, 494, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"86161642-b7e6-41f9-85d3-e528c90b53f5"],
Cell[16856, 496, 208, 3, 70, "SeeAlso",ExpressionUUID->"39c73d02-3284-4a15-b48e-fad20e5eb6c4",
 CellID->341631938],
Cell[17067, 501, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"c3020bed-5ffe-40a6-8341-154798bae5a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17190, 506, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"e511dfca-2df7-4d44-a676-7dc7d7deb04e",
 CellID->1584193535],
Cell[17463, 515, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"1552ffce-c597-47d1-a5df-bd951f3afe66"],
Cell[17552, 517, 684, 18, 70, "SeeAlso",ExpressionUUID->"bdaf6064-f318-4a8a-8af0-30d6ee69e0db",
 CellID->44431853]
}, Open  ]],
Cell[18251, 538, 78, 0, 70, "FooterCell",ExpressionUUID->"514b4d6d-b784-492c-9107-224574e27868"]
}
]
*)

(* End of internal cache information *)

