(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     19938,        536]
NotebookOptionsPosition[     13895,        406]
NotebookOutlinePosition[     16237,        465]
CellTagsIndexPosition[     16152,        460]
WindowTitle->CMtoName
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "5b456663-a20d-4745-8e70-8a3798a4cf35"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"e0d8c7fd-1c5b-480f-8512-6cfd655e3d74"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "21f55217-019a-4dea-a912-8304f46d6fca"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"f52de368-b10e-4fc2-b980-2941b22c055c"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/CMtoName\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/CMtoName"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/CMtoName.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$10516], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/CMtoName", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "6b185767-eb5a-4969-9b57-102f68973c02"]
    }], "AnchorBar",ExpressionUUID->"557272da-9916-43a2-86e6-5e434f0c838f"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"e46508fb-90f1-4b62-ad1b-085d68a47046"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["CMtoName", "ObjectName",ExpressionUUID->
  "697ea17f-53f3-4b8e-8ac0-48c0c4d738c6"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"804e69ac-40bf-46be-959a-dc3bc398b953"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "bba4ea16-0385-4ea3-a615-7c3e947596f4"]
}], "ObjectNameGrid",ExpressionUUID->"2cba439a-9f24-4116-a7f4-d623c406def2"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"CMtoName", "[", "group", "]"}]], "InlineFormula",
      ExpressionUUID->"4f816fbd-9791-403f-941a-42c39cfd2a42"],
     " \[LineSeparator]Identifies the simple group name from its Cartan matrix"
    }],ExpressionUUID->"49ef6545-7d32-42c2-a908-beb94c705611"]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"CMtoName", "[", 
       RowBox[{"{", 
        RowBox[{"group1", ",", "group2", ",", "..."}], "}"}], "]"}]], 
      "InlineFormula",ExpressionUUID->"4f639047-df9d-4c1e-9848-45a1edd98838"],
     "\[LineSeparator]Identifies the name of the semi-simple group ",
     Cell[BoxData[
      RowBox[{"{", 
       RowBox[{"group1", ",", "group2", ",", "..."}], "}"}]], "InlineFormula",
      ExpressionUUID->"caeae3b1-9ea0-4751-b5ca-0544b4da358c"],
     " from the Cartan matrices of its simple factors"
    }],ExpressionUUID->"e8ac0fd5-e4c2-4757-a2dc-ebb0d3a014ba"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {None, {None}}}},
 CellID->982511436,ExpressionUUID->"5a6ea404-ebf8-4c6e-8e6f-40b7dbb48b5c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"ecd37e6a-bc7b-47a4-a88f-a531d84ddeef"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"dca1c9e1-58e6-4780-8537-a24242ffffa5"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"7d09b594-b2ac-4631-b461-5ff7137a3470"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->49745745,ExpressionUUID->"4ac30dc4-07c0-4b42-89c8-f36d9ddbc685"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"1319b362-19b7-404c-8bca-e11eae137d4e"],

Cell[TextData[{
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "5e505c72-25c2-484b-8980-b9ab078ecc53"],
 " should a ",
 ButtonBox["Cartan matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet:Susyno/ref/CartanMatrix"]
}], "Notes",
 CellID->1067943069,ExpressionUUID->"64a6e038-bc53-4f40-b53f-e8ec63223e60"],

Cell[TextData[{
 "The output is a string with the simple group's name",
 ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet:Susyno/ref/CartanMatrix"]
}], "Notes",
 CellID->38413404,ExpressionUUID->"0d91f1c0-ffb7-4778-b5ea-36e36dc136ba"],

Cell[TextData[{
 "A list of Cartan matrices ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"group1", ",", " ", "group2", ",", "..."}], "}"}]], 
  "InlineFormula",ExpressionUUID->"f785e4ed-d3de-40ef-9f1a-8e81e825c9b4"],
 " can also be used as input."
}], "Notes",
 CellID->33008471,ExpressionUUID->"e99a664a-8bc2-4004-859e-468b02d18f0b"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"74acc34a-0fd7-4b1c-9cbb-fdf116aa9159"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"faad4151-10e8-479d-9623-fd19ff84f001"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "a1d4d2d8-a3e7-43bf-9b65-e4dfa08f2812"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->536252878,ExpressionUUID->"612320ae-0468-48e3-b5eb-867def3c702f"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "1ad81e2f-55cf-4761-ae36-d4011aa9bd76"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->168531576,ExpressionUUID->"ae193c9e-d22c-43e8-b9c6-7c0fbd92bce0"],

Cell["The Cartan matrix of SU(3) is {{2,-1},{-1,2}}:", "ExampleText",
 CellID->173216035,ExpressionUUID->"5d765a77-2d40-4b52-a25a-c03d25899225"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CMtoName", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", 
      RowBox[{"-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "}"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->293722129,ExpressionUUID->"68a7768c-8eab-41e2-a4ec-60ce92e74fd2"],

Cell[BoxData["\<\"SU3\"\>"], "Output",
 CellLabel->"Out[1]=",
 CellID->808203997,ExpressionUUID->"4b5bea94-c3de-4835-9cbe-52ee8a07c152"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "b2945bf2-63fe-4340-bbea-90f143a2ff76"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->459538714,ExpressionUUID->"86a9b9e4-a263-4692-adf1-3dd1445edf71"],

Cell["The function also works for semi-simple groups:", "ExampleText",
 CellID->451618593,ExpressionUUID->"ed147e37-380b-4bee-9cac-428bb3dece84"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CMtoName", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", "}"}]}], "}"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->5584208,ExpressionUUID->"85f2a486-68f8-4b7c-8ba0-4393f29f5153"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"SU3\"\>", ",", "\<\"U1\"\>"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->44984498,ExpressionUUID->"83869687-e966-49c1-a2cd-dc0ec8564078"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"cartanMatrices", "=", 
  RowBox[{"{", 
   RowBox[{"SU2", ",", "E6", ",", "SP6"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"groupName", "=", 
  RowBox[{"CMtoName", "[", "cartanMatrices", "]"}]}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->128825400,ExpressionUUID->"d5935350-517c-4499-9848-cc741007a44f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "2", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "2", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", "2", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", "2", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "2"}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "2", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->553877470,ExpressionUUID->"d05b0746-b8a7-404d-a5b0-7985ec890c8a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"SU2\"\>", ",", "\<\"E6\"\>", ",", "\<\"SP6\"\>"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->237756665,ExpressionUUID->"8b6b13ff-33eb-4679-8a8d-bc5e6d09f248"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"65a80291-6358-4dfe-be39-14c00f2671e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"065aee55-2bb7-4f31-9a1a-d6447438a72c"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"f3388638-0735-4988-b8f7-87f801626a59"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"edf2a46b-f2dc-4257-b940-ba1d71db12c4"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"28bb20da-cbdd-47e1-b80b-18190816b3ae"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"43867218-cf9f-4a02-a5b6-298bc17a3a4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"79446bed-5d1f-4692-9501-25a359020666"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"f3f41004-3210-483e-9e90-d6f281ee1ec0"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"ed2bed7b-ce15-4735-b71f-347bd8436b75"],

Cell[TextData[Cell[BoxData[
 TemplateBox[{Cell[
    TextData["CartanMatrix"]],"paclet:GroupMath/ref/CartanMatrix"},
  "RefLink",
  BaseStyle->{
   "InlineFormula"}]], \
"InlineFormula",ExpressionUUID->"80a735f7-dd0d-42ca-8790-1f8ccc9f7955"]], \
"SeeAlso",
 CellID->1038487239,ExpressionUUID->"d086aed2-e7bd-443e-8824-38035dcf226e"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"267b8bb3-c610-4a0b-be24-349eefcff9a7"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CMtoName",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 10.2200476}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "CMtoName[group] Identifies the simple group name from its Cartan matrix \
CMtoName[{group1, group2, ...}] Identifies the name of the semi-simple group \
{group1, group2, ...} from the Cartan matrices of its simple factors", 
    "synonyms" -> {}, "tabletags" -> {}, "title" -> "CMtoName", 
    "titlemodifier" -> "", "windowtitle" -> "CMtoName", "type" -> "Symbol", 
    "uri" -> "GroupMath/ref/CMtoName", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7671, 203, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"612320ae-0468-48e3-b5eb-867def3c702f",
   CellTags->"PrimaryExamplesSection",
   CellID->536252878]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15954, 453}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[580, 21, 3435, 77, 53, "AnchorBarGrid",ExpressionUUID->"e46508fb-90f1-4b62-ad1b-085d68a47046",
 CellID->1],
Cell[CellGroupData[{
Cell[4040, 102, 393, 9, 52, "ObjectNameGrid",ExpressionUUID->"2cba439a-9f24-4116-a7f4-d623c406def2"],
Cell[4436, 113, 1136, 23, 204, "Usage",ExpressionUUID->"5a6ea404-ebf8-4c6e-8e6f-40b7dbb48b5c",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5609, 141, 854, 21, 37, "NotesSection",ExpressionUUID->"4ac30dc4-07c0-4b42-89c8-f36d9ddbc685",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->49745745],
Cell[6466, 164, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"1319b362-19b7-404c-8bca-e11eae137d4e"],
Cell[6555, 166, 407, 12, 70, "Notes",ExpressionUUID->"64a6e038-bc53-4f40-b53f-e8ec63223e60",
 CellID->1067943069],
Cell[6965, 180, 243, 6, 70, "Notes",ExpressionUUID->"0d91f1c0-ffb7-4778-b5ea-36e36dc136ba",
 CellID->38413404],
Cell[7211, 188, 334, 8, 70, "Notes",ExpressionUUID->"e99a664a-8bc2-4004-859e-468b02d18f0b",
 CellID->33008471],
Cell[7548, 198, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"74acc34a-0fd7-4b1c-9cbb-fdf116aa9159"]
}, Closed]],
Cell[CellGroupData[{
Cell[7671, 203, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"612320ae-0468-48e3-b5eb-867def3c702f",
 CellTags->"PrimaryExamplesSection",
 CellID->536252878],
Cell[CellGroupData[{
Cell[8131, 218, 308, 7, 29, "ExampleSection",ExpressionUUID->"ae193c9e-d22c-43e8-b9c6-7c0fbd92bce0",
 CellID->168531576],
Cell[8442, 227, 144, 1, 38, "ExampleText",ExpressionUUID->"5d765a77-2d40-4b52-a25a-c03d25899225",
 CellID->173216035],
Cell[CellGroupData[{
Cell[8611, 232, 352, 11, 26, "Input",ExpressionUUID->"68a7768c-8eab-41e2-a4ec-60ce92e74fd2",
 CellID->293722129],
Cell[8966, 245, 136, 2, 35, "Output",ExpressionUUID->"4b5bea94-c3de-4835-9cbe-52ee8a07c152",
 CellID->808203997]
}, Open  ]],
Cell[CellGroupData[{
Cell[9139, 252, 242, 5, 8, "ExampleDelimiter",ExpressionUUID->"86a9b9e4-a263-4692-adf1-3dd1445edf71",
 CellID->459538714],
Cell[9384, 259, 145, 1, 38, "ExampleText",ExpressionUUID->"ed147e37-380b-4bee-9cac-428bb3dece84",
 CellID->451618593],
Cell[CellGroupData[{
Cell[9554, 264, 433, 14, 26, "Input",ExpressionUUID->"85f2a486-68f8-4b7c-8ba0-4393f29f5153",
 CellID->5584208],
Cell[9990, 280, 189, 4, 35, "Output",ExpressionUUID->"83869687-e966-49c1-a2cd-dc0ec8564078",
 CellID->44984498]
}, Open  ]],
Cell[CellGroupData[{
Cell[10216, 289, 330, 7, 43, "Input",ExpressionUUID->"d5935350-517c-4499-9848-cc741007a44f",
 CellID->128825400],
Cell[10549, 298, 1457, 44, 68, "Output",ExpressionUUID->"d05b0746-b8a7-404d-a5b0-7985ec890c8a",
 CellID->553877470],
Cell[12009, 344, 213, 5, 35, "Output",ExpressionUUID->"8b6b13ff-33eb-4679-8a8d-bc5e6d09f248",
 CellID->237756665]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[12261, 354, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"65a80291-6358-4dfe-be39-14c00f2671e7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12384, 359, 262, 7, 70, "TutorialsSection",ExpressionUUID->"f3388638-0735-4988-b8f7-87f801626a59",
 CellID->250839057],
Cell[12649, 368, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"edf2a46b-f2dc-4257-b940-ba1d71db12c4"],
Cell[12738, 370, 241, 5, 70, "Tutorials",ExpressionUUID->"28bb20da-cbdd-47e1-b80b-18190816b3ae",
 CellID->341631938],
Cell[12982, 377, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"43867218-cf9f-4a02-a5b6-298bc17a3a4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13105, 382, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"f3f41004-3210-483e-9e90-d6f281ee1ec0",
 CellID->1584193535],
Cell[13378, 391, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"ed2bed7b-ce15-4735-b71f-347bd8436b75"],
Cell[13467, 393, 331, 8, 70, "SeeAlso",ExpressionUUID->"d086aed2-e7bd-443e-8824-38035dcf226e",
 CellID->1038487239]
}, Open  ]],
Cell[13813, 404, 78, 0, 70, "FooterCell",ExpressionUUID->"267b8bb3-c610-4a0b-be24-349eefcff9a7"]
}
]
*)

(* End of internal cache information *)

