(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20266,        547]
NotebookOptionsPosition[     14910,        432]
NotebookOutlinePosition[     17265,        491]
CellTagsIndexPosition[     17180,        486]
WindowTitle->CalculateSnBranchingRules
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "a90c2a06-99d9-48de-9c78-404b106e79a6"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"c63d53db-d643-444a-92e4-ea3d6dc694eb"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "0e44b07c-cdea-4543-add9-d13c54f82941"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"ddfc25ac-8080-48d5-ba77-75c59b9bb1d0"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->
         False], {"\<\"GroupMath/ref/CalculateSnBranchingRules\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/CalculateSnBranchingRules"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
CalculateSnBranchingRules.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$8381], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/CalculateSnBranchingRules", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "6989eb6e-aded-4eb3-afcd-1c706be53511"]
    }], "AnchorBar",ExpressionUUID->"79851a75-bcee-44aa-8570-d1ffd369cf69"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"77e59332-c69a-4a6d-b605-0839c401add9"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["CalculateSnBranchingRules", "ObjectName",ExpressionUUID->
  "d8ab02e8-74cc-4501-a202-6932d9f56a3a"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"fc58a095-30fb-4b49-a564-02bf0a439791"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "949caae0-0b10-49d9-8cbe-7edcebd13ff9"]
}], "ObjectNameGrid",ExpressionUUID->"519ff298-da5b-4782-be1b-8000ce1feddc"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"CalculateSnBranchingRules", "[", 
       RowBox[{
        RowBox[{"irrep", " ", "of", " ", "Sn"}], ",", 
        RowBox[{"{", 
         RowBox[{"n1", ",", "n2", ",", ".."}], "}"}]}], "]"}]], 
      "InlineFormula",ExpressionUUID->"448591d9-4401-4e7c-ba75-d3d08ca15a0b"],
     " \[LineSeparator]Calculates the decomposition of ",
     Cell[BoxData[
      RowBox[{"irrep", " ", "of", " ", "Sn"}]], "InlineFormula",
      ExpressionUUID->"0d083380-18b3-4822-8663-786134763e5e"],
     " into irreps of the subgroup Sn1 x Sn2 ... (n1+n2+... must equal n)"
    }],ExpressionUUID->"fa7edb04-17ae-4d88-892d-5e7caa7bb6b2"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"b527f675-df78-4726-bd3e-fdbc9c429c4d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"f2d9de58-22fa-43bf-bd86-1917056613ab"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "531a9702-c879-4965-9ee8-37d68072a81c"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->514128242,ExpressionUUID->"70b0ce9b-5da5-4fed-b379-d3520b74603f"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "72fa9ad0-11b2-42c5-aad3-5a4d9911287c"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->123691262,ExpressionUUID->"2364f75c-0193-47cf-ae3d-3f866b8b3533"],

Cell[TextData[{
 "Consider the irrep {4,3} of the ",
 Cell[BoxData[
  SubscriptBox["S", "7"]], "InlineFormula",ExpressionUUID->
  "48d5c747-cc4f-4e99-a688-00d0e8d2e1ce"],
 " permutation group of 7 objects. This irrep is 14-dimensional:"
}], "ExampleText",
 CellID->164363344,ExpressionUUID->"6ac2ddf8-96b3-4cb3-9fb9-6750314f62d0"],

Cell[BoxData[
 RowBox[{"SnIrrepDim", "[", 
  RowBox[{"{", 
   RowBox[{"4", ",", "3"}], "}"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->92408734,ExpressionUUID->"a01d6019-58d6-4044-99f2-1cdca92aa68b"],

Cell[TextData[{
 "The group ",
 Cell[BoxData[
  SubscriptBox["S", "7"]], "InlineFormula",ExpressionUUID->
  "d230b5dc-eb59-437a-bbb4-5918199c5928"],
 " has a ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["S", "3"], "x", " ", 
   SubscriptBox["S", "2"], " ", "x", " ", 
   SubscriptBox["S", "2"]}]], "InlineFormula",ExpressionUUID->
  "34fe0505-cc91-4cf8-a238-6b211be7ee99"],
 " subgroup. How does the irrep {4,3} transform under it? The answer can be \
found with CalculateSnBranchingRules:"
}], "ExampleText",
 CellID->145751553,ExpressionUUID->"c57f1f33-e3a3-4291-8af4-bec3d1644098"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"decomposition", "=", 
  RowBox[{"CalculateSnBranchingRules", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"4", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "2", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->418441054,ExpressionUUID->"ba081733-f5ae-4d96-ab1c-48d805d11d67"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "3", "}"}], ",", 
       RowBox[{"{", "2", "}"}], ",", 
       RowBox[{"{", "2", "}"}]}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "3", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", "2", "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "3", "}"}], ",", 
       RowBox[{"{", "2", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", "2", "}"}], ",", 
       RowBox[{"{", "2", "}"}]}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", "2", "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", "2", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->10186430,ExpressionUUID->"e02d6304-4ce0-47e8-9d26-2b46f1e6430b"]
}, Open  ]],

Cell[TextData[{
 "The output states that {4,3} of ",
 Cell[BoxData[
  SubscriptBox["S", "7"]], "InlineFormula",ExpressionUUID->
  "0ff79eb5-a718-4923-a2f0-0b020422926e"],
 " = 2 x {3}x{2}x{2} + 1 x {3}x{1,1}x{2} + 1 x {3}x{2}x{1,1} + 2 x \
{{2,1},{2},{2}} + 1 x {{2,1},{1,1},{2}} + 1 x {{2,1},{2},{1,1}} + 1 x \
{{2,1},{1,1},{1,1}}"
}], "ExampleText",
 CellID->70970546,ExpressionUUID->"a72c1e46-7150-405b-92ce-25e9b79cdb76"],

Cell["This corresponds to 14 components in total:", "ExampleText",
 CellID->509016753,ExpressionUUID->"ba926dc1-daf6-4d79-8c4f-b6c97f022eb3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"dimensionOfEachIrrep", "=", 
  RowBox[{"Times", "@@@", 
   RowBox[{"Map", "[", 
    RowBox[{"SnIrrepDim", ",", 
     RowBox[{"decomposition", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"multiplicities", "=", 
  RowBox[{"decomposition", "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"dimensionOfEachIrrep", ".", "multiplicities"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->627819427,ExpressionUUID->"23f4340e-99d7-4f0f-ad01-24fb4a56ab86"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "2", ",", "2", ",", "2"}], 
  "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->56333711,ExpressionUUID->"653f392e-3f65-4705-888b-e94feb1d3f3e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "1", ",", "1", ",", "2", ",", "1", ",", "1", ",", "1"}], 
  "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->2961381,ExpressionUUID->"39433797-d01f-4551-8d5f-e8ef50a90e1c"],

Cell[BoxData["14"], "Output",
 CellLabel->"Out[3]=",
 CellID->532417475,ExpressionUUID->"4c9327bf-35b6-4c5c-9c3d-b35ca6c1a424"]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"7629b957-61a5-4c54-bec3-97cbc0a52d6c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"acf306ea-1f4e-4435-bb63-da37c3a7f6bc"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"dbcc1892-948a-415f-afda-8cc2861c712d"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"96a10299-30ea-450a-886d-39e72e0fa5ef"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"2eecfe87-6a50-412a-884d-bd407fa43434"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"7fddd7c6-5f8a-4c8b-acae-06bfee555300"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"964ea014-2b46-4b2c-9965-cccd7beed4b6"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"25b132c9-feac-4b40-a1f0-24827be33230"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"b65b7324-5589-4890-b8de-5bcb85dc705e"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["DecomposeSnProduct"]],
    "paclet:GroupMath/ref/DecomposeSnProduct"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "f0dcf7bd-0854-48ac-a799-29d4a2acd8dd"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["HookContentFormula"]],
    "paclet:GroupMath/ref/HookContentFormula"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "6562b89c-8e0c-4ed4-9e95-eb7dce187ab2"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnClassCharacter"]],"paclet:GroupMath/ref/SnClassCharacter"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "bef4a8be-c375-4187-87f4-f65d2e74340c"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnClassOrder"]],"paclet:GroupMath/ref/SnClassOrder"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "9b782320-7ff5-41dc-8bc4-3c6e7d658399"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnIrrepDim"]],"paclet:GroupMath/ref/SnIrrepDim"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "0ae69295-5338-43e4-8070-3e7eec8055d3"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnIrrepGenerators"]],"paclet:GroupMath/ref/SnIrrepGenerators"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "6fa53119-b2d2-4fc2-98e5-df8a1b714b14"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"6f50dedb-5774-43d8-adde-e48e5ef01520"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"6e11b73c-0da4-48b2-a279-2c04688a4dcf"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CalculateSnBranchingRules",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 2.3197952}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "CalculateSnBranchingRules[irrep of Sn, {n1, n2, ..}] Calculates the \
decomposition of irrep of Sn into irreps of the subgroup Sn1 x Sn2 ... \
(n1+n2+... must equal n)", "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "CalculateSnBranchingRules", "titlemodifier" -> "", "windowtitle" -> 
    "CalculateSnBranchingRules", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/CalculateSnBranchingRules", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5470, 138, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"70b0ce9b-5da5-4fed-b379-d3520b74603f",
   CellTags->"PrimaryExamplesSection",
   CellID->514128242]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 16982, 479}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[597, 21, 3527, 79, 53, "AnchorBarGrid",ExpressionUUID->"77e59332-c69a-4a6d-b605-0839c401add9",
 CellID->1],
Cell[CellGroupData[{
Cell[4149, 104, 410, 9, 52, "ObjectNameGrid",ExpressionUUID->"519ff298-da5b-4782-be1b-8000ce1feddc"],
Cell[4562, 115, 871, 18, 131, "Usage",ExpressionUUID->"b527f675-df78-4726-bd3e-fdbc9c429c4d",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5470, 138, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"70b0ce9b-5da5-4fed-b379-d3520b74603f",
 CellTags->"PrimaryExamplesSection",
 CellID->514128242],
Cell[CellGroupData[{
Cell[5930, 153, 308, 7, 29, "ExampleSection",ExpressionUUID->"2364f75c-0193-47cf-ae3d-3f866b8b3533",
 CellID->123691262],
Cell[6241, 162, 330, 7, 38, "ExampleText",ExpressionUUID->"6ac2ddf8-96b3-4cb3-9fb9-6750314f62d0",
 CellID->164363344],
Cell[6574, 171, 207, 5, 26, "Input",ExpressionUUID->"a01d6019-58d6-4044-99f2-1cdca92aa68b",
 CellID->92408734],
Cell[6784, 178, 584, 15, 57, "ExampleText",ExpressionUUID->"c57f1f33-e3a3-4291-8af4-bec3d1644098",
 CellID->145751553],
Cell[CellGroupData[{
Cell[7393, 197, 347, 9, 26, "Input",ExpressionUUID->"ba081733-f5ae-4d96-ab1c-48d805d11d67",
 CellID->418441054],
Cell[7743, 208, 1885, 64, 68, "Output",ExpressionUUID->"e02d6304-4ce0-47e8-9d26-2b46f1e6430b",
 CellID->10186430]
}, Open  ]],
Cell[9643, 275, 425, 9, 57, "ExampleText",ExpressionUUID->"a72c1e46-7150-405b-92ce-25e9b79cdb76",
 CellID->70970546],
Cell[10071, 286, 141, 1, 38, "ExampleText",ExpressionUUID->"ba926dc1-daf6-4d79-8c4f-b6c97f022eb3",
 CellID->509016753],
Cell[CellGroupData[{
Cell[10237, 291, 634, 15, 59, "Input",ExpressionUUID->"23f4340e-99d7-4f0f-ad01-24fb4a56ab86",
 CellID->627819427],
Cell[10874, 308, 223, 5, 35, "Output",ExpressionUUID->"653f392e-3f65-4705-888b-e94feb1d3f3e",
 CellID->56333711],
Cell[11100, 315, 222, 5, 35, "Output",ExpressionUUID->"39433797-d01f-4551-8d5f-e8ef50a90e1c",
 CellID->2961381],
Cell[11325, 322, 127, 2, 35, "Output",ExpressionUUID->"4c9327bf-35b6-4c5c-9c3d-b35ca6c1a424",
 CellID->532417475]
}, Open  ]]
}, Open  ]],
Cell[11479, 328, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"7629b957-61a5-4c54-bec3-97cbc0a52d6c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11602, 333, 262, 7, 70, "TutorialsSection",ExpressionUUID->"dbcc1892-948a-415f-afda-8cc2861c712d",
 CellID->250839057],
Cell[11867, 342, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"96a10299-30ea-450a-886d-39e72e0fa5ef"],
Cell[11956, 344, 241, 5, 70, "Tutorials",ExpressionUUID->"2eecfe87-6a50-412a-884d-bd407fa43434",
 CellID->341631938],
Cell[12200, 351, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"7fddd7c6-5f8a-4c8b-acae-06bfee555300"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12323, 356, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"25b132c9-feac-4b40-a1f0-24827be33230",
 CellID->1584193535],
Cell[12596, 365, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"b65b7324-5589-4890-b8de-5bcb85dc705e"],
Cell[12685, 367, 2128, 60, 70, "SeeAlso",ExpressionUUID->"6f50dedb-5774-43d8-adde-e48e5ef01520",
 CellID->1038487239]
}, Open  ]],
Cell[14828, 430, 78, 0, 70, "FooterCell",ExpressionUUID->"6e11b73c-0da4-48b2-a279-2c04688a4dcf"]
}
]
*)

(* End of internal cache information *)

