(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     27941,        772]
NotebookOptionsPosition[     19371,        590]
NotebookOutlinePosition[     21719,        649]
CellTagsIndexPosition[     21634,        644]
WindowTitle->ConjugacyClassGroupModIndices
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "d882c638-6df5-48e5-8deb-56955d8b93f9"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"2e6c4704-4aaa-4fae-8fcf-143b504c342b"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "6b5b010d-d20f-4235-9bf2-8f4388f7d1f9"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"24cc0820-b15c-4676-8eef-86b8cffd2743"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->
         False], {"\<\"GroupMath/ref/ConjugacyClassGroupModIndices\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/ConjugacyClassGroupModIndices"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
ConjugacyClassGroupModIndices.html"], StandardForm]], "Input", 
              TextClipboardType -> "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$11025], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/ConjugacyClassGroupModIndices", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "7b2775c7-1100-4e9d-ba08-ba9a408543bc"]
    }], "AnchorBar",ExpressionUUID->"71608b79-b30a-43ad-b772-0a8fe5b0820b"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"6f74151e-aa70-498f-860d-004c383173fe"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["ConjugacyClassGroupModIndices", "ObjectName",ExpressionUUID->
  "8b7486c0-798c-4736-8d0b-0391c9811291"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"b08cf86d-ebae-4118-a232-fbf5e5f4ff9a"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "b4adf5b2-e878-48c0-9b0f-849fc8c3d554"]
}], "ObjectNameGrid",ExpressionUUID->"ff7707b4-997c-458e-965e-f6776d8e9b15"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ConjugacyClassGroupModIndices", "[", "group", "]"}]], 
      "InlineFormula",ExpressionUUID->"16ec310d-ef10-496f-bc11-33f7e2e3d9fb"],
     " \[LineSeparator]Returns the natural numbers which are need to compare \
conjugacy classes, with modular arithmetics"
    }],ExpressionUUID->"3059e022-c46c-418c-a10c-01ac5dd881ea"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"cc28acc2-5c25-430d-a57b-82539616b785"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"79ee6040-625c-4add-b2ad-6abc3cfd9a9a"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"a272966c-b565-4aea-b914-c38d5f6cb78b"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"846ae4bc-c158-408a-b40e-9f34cbc40d41"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->313162401,ExpressionUUID->"6ff76957-53a4-4278-999b-b1ed59058082"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"30b0eec7-45c3-4fe7-ba43-4e220320b29b"],

Cell[TextData[{
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "93de4a29-3154-4fff-a167-b073683a4ab2"],
 " should a ",
 ButtonBox["Cartan matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet:Susyno/ref/CartanMatrix"]
}], "Notes",
 CellID->1067943069,ExpressionUUID->"e0b1d7aa-5595-48ac-a165-b4548a4b9d85"],

Cell[TextData[{
 "Conjugacy classes are given by a list of one or two natural numbers (see ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ConjugacyClass"]],"paclet:GroupMath/ref/ConjugacyClass"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "d88d6096-208f-4151-82d4-0f2a722ceae5"],
 "). Nevertheless, to compare classes one must do modular arithmetic: classes \
C1 and C2 are the same if and only if C1 = C2 mod N, where the number(s) N \
is(are) given by ",
 Cell[BoxData[
 "ConjugacyClassGroupModIndices"], "InlineFormula",ExpressionUUID->
  "aec82691-9645-4451-a3d5-c921def56ca3"],
 "."
}], "Notes",
 CellID->66919531,ExpressionUUID->"d1ac8762-71e0-4e5d-81b5-515401356d6e"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"73749f97-2ef5-4473-bf72-a44cfec55e17"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"75763a3c-c54a-4eff-b6b0-11232eb8f14b"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "06757062-b9a2-46bb-8364-b1eb1ccc3a22"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->546902874,ExpressionUUID->"8f05d918-6ffa-4071-8e5b-0aa27c86abdc"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "ff288797-a87c-455f-b491-794b5b27c839"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->128042092,ExpressionUUID->"ca89335a-1517-4e91-b985-a898426d59ea"],

Cell["\<\
SU(3) representation can be in on of three classes (the group has a \
'triality' property):\
\>", "ExampleText",
 CellID->14658346,ExpressionUUID->"1ccab025-a268-49b2-8ccc-4d693900ae50"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->430153659,ExpressionUUID->"f2c45290-622d-4194-a852-28cd8beee700"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->665334569,ExpressionUUID->"0be26205-db75-48be-bcca-413cd6081775"],

Cell[BoxData[
 RowBox[{"{", "1", "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->559229537,ExpressionUUID->"35e7efe0-f9dc-405f-ba28-2e9112ae68ac"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->20905493,ExpressionUUID->"7ea8a994-d74e-4ef4-bc0b-78c3bb8843ed"]
}, Open  ]],

Cell["\<\
The product of the representations {0,1} x {0,1} x {1,0} is in the class\
\>", "ExampleText",
 CellID->14832221,ExpressionUUID->"c7641fe3-ec9b-480c-946e-f2a88774e903"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "+", 
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "+", 
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->493228872,ExpressionUUID->"13e44172-b0fa-4b4e-afcd-5647b3d3e0ee"],

Cell[BoxData[
 RowBox[{"{", "5", "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->38859239,ExpressionUUID->"26865742-c9b4-418f-85cb-c53412ffcd1a"]
}, Open  ]],

Cell["On the other hand,...", "ExampleText",
 CellID->246113678,ExpressionUUID->"afdd52e4-535b-43f9-82fe-b4032af93be2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReduceRepProduct", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->567799115,ExpressionUUID->"43ea664c-1e54-45a4-8184-3c44bffde8d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0"}], "}"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->55526912,ExpressionUUID->"34b5e320-0284-480a-a7ad-0601ed5483b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SU3", ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[4]:=",
 CellID->446960385,ExpressionUUID->"072aee7f-1c69-4150-8159-338c0c74126c"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellLabel->"Out[4]=",
 CellID->283646812,ExpressionUUID->"e47d3e33-a95a-442e-a031-15fe215fb71f"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellLabel->"Out[4]=",
 CellID->136288012,ExpressionUUID->"935ed3c4-10c7-4690-bbbc-130b58ed0160"],

Cell[BoxData[
 RowBox[{"{", "2", "}"}]], "Output",
 CellLabel->"Out[4]=",
 CellID->115667193,ExpressionUUID->"5ea4e6f4-b29e-42b8-b0fd-a661225a983d"]
}, Open  ]],

Cell[TextData[{
 "However, the classes {5} and {2} are the same, mod 3. This number 3 is \
given by ",
 Cell[BoxData[
 "ConjugacyClassGroupModIndices"], "InlineFormula",ExpressionUUID->
  "14a18819-1add-4e35-9673-1c36658ba1c6"],
 ":"
}], "ExampleText",
 CellID->52707123,ExpressionUUID->"7ba472b6-bc35-4773-8a9b-5fa676b23961"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConjugacyClassGroupModIndices", "[", "SU3", "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->108473077,ExpressionUUID->"33ddfac5-efe4-42d3-ba43-e965be15805f"],

Cell[BoxData[
 RowBox[{"{", "3", "}"}]], "Output",
 CellLabel->"Out[5]=",
 CellID->104648334,ExpressionUUID->"602adf04-5979-44e2-b9f7-5ceda263948d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "==", 
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "==", 
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0"}], "}"}]}], "]"}], "==", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ConjugacyClass", "[", 
      RowBox[{"SU3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "+", 
     RowBox[{"ConjugacyClass", "[", 
      RowBox[{"SU3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "+", 
     RowBox[{"ConjugacyClass", "[", 
      RowBox[{"SU3", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], ",", 
    RowBox[{"ConjugacyClassGroupModIndices", "[", "SU3", "]"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->324130005,ExpressionUUID->"145c0203-121c-41bb-9b91-96d00d3f1875"],

Cell[BoxData["True"], "Output",
 CellLabel->"Out[6]=",
 CellID->400119083,ExpressionUUID->"8928957a-68b9-48b7-b9ba-3a78cf717404"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "defb065a-1ee3-47d3-b4f2-34606cdf95e4"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->745304506,ExpressionUUID->"565bb694-7691-4ce2-b5d9-8177099b815b"],

Cell[TextData[{
 "The conjugacy classes of SO(2m) groups are identified with two numbers, \
hence ",
 Cell[BoxData[
 "ConjugacyClassGroupModIndices"], "InlineFormula",ExpressionUUID->
  "9b630a5d-2ca7-4b3d-976b-21cfc640a475"],
 " provides two numbers as well:"
}], "ExampleText",
 CellID->534548180,ExpressionUUID->"264f14f7-00d3-4dd0-92a2-5772d280e08f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConjugacyClassGroupModIndices", "[", "SO10", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->11503332,ExpressionUUID->"a5edd4bf-2776-4825-8bcc-90bd5e4a8048"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "4"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->205088904,ExpressionUUID->"239b20d0-9ae9-4ef8-a7c4-9af4b5006c32"]
}, Open  ]],

Cell["\<\
So for example, the product of two spinor representations will have a \
conjugacy class\
\>", "ExampleText",
 CellID->7780329,ExpressionUUID->"6ab1c941-3bd8-4669-89ba-ad5da6eeb2db"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"2", 
  RowBox[{"ConjugacyClass", "[", 
   RowBox[{"SO10", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Mod", "[", 
  RowBox[{"%", ",", 
   RowBox[{"ConjugacyClassGroupModIndices", "[", "SO10", "]"}]}], 
  "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->189479435,ExpressionUUID->"1bf89c75-514f-4087-a212-52ac11999628"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2"}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->402051951,ExpressionUUID->"8c356c61-9ef0-4a4e-8d21-6e6c6293eaf9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "2"}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->313953897,ExpressionUUID->"18fd2bc1-6a72-4784-ab63-e042fc375f42"]
}, Open  ]],

Cell["\<\
so it cannot contain a singlet since that would require a conjugacy class \
{0,0}:\
\>", "ExampleText",
 CellID->40073819,ExpressionUUID->"b21418db-6c4e-4123-b5fb-26ecf9cd19cd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConjugacyClass", "[", 
  RowBox[{"SO10", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->241888989,ExpressionUUID->"741cf9b6-c215-424c-a9d1-695c26c919de"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->379053747,ExpressionUUID->"dace2d63-2e71-4cda-99ed-8af8c6d730d0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"9879a4cd-24a0-4071-8b33-552239f1d07e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"cee0f42a-ebe3-4e73-8fec-c8304a9a7d56"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"2bffa525-31be-4e1c-9a1e-0f396aaab2e9"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"b62d3d90-8b2a-4c28-be6c-a6a176b4cbf6"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"b4f8a458-25e9-41a1-b3a4-55b0f5dd0624"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"cc482245-46d4-4fde-8d41-92576ff1cd12"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"5fba8716-7492-43fb-a34a-7576feadf97b"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"63ca05eb-6a60-4bf3-a922-ab4d58ed99e2"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"d57ce8ed-6a9c-4606-bae4-9cb2f10cfbd3"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ConjugacyClass"]],"paclet:GroupMath/ref/ConjugacyClass"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "40711a05-7418-4925-adc1-59e739cce091"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CartanMatrix"]],"paclet:GroupMath/ref/CartanMatrix"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "6d5a455a-1eb9-4a93-a6fe-5e9cb54f86ff"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ReduceRepProduct"]],"paclet:GroupMath/ref/ReduceRepProduct"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "b36f8129-b915-4d08-860d-4c5e67973245"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"76fa5fc7-97d1-412d-a782-931419550406"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"99da3b34-02a0-4b15-beba-3d9a1888b517"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ConjugacyClassGroupModIndices",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 12.0897980}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "ConjugacyClassGroupModIndices[group] Returns the natural numbers which \
are need to compare conjugacy classes, with modular arithmetics", 
    "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "ConjugacyClassGroupModIndices", "titlemodifier" -> "", "windowtitle" -> 
    "ConjugacyClassGroupModIndices", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/ConjugacyClassGroupModIndices", "WorkflowDockedCell" -> 
    ""}, "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7419, 194, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"8f05d918-6ffa-4071-8e5b-0aa27c86abdc",
   CellTags->"PrimaryExamplesSection",
   CellID->546902874]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 21436, 637}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[601, 21, 3556, 80, 53, "AnchorBarGrid",ExpressionUUID->"6f74151e-aa70-498f-860d-004c383173fe",
 CellID->1],
Cell[CellGroupData[{
Cell[4182, 105, 414, 9, 52, "ObjectNameGrid",ExpressionUUID->"ff7707b4-997c-458e-965e-f6776d8e9b15"],
Cell[4599, 116, 578, 11, 110, "Usage",ExpressionUUID->"cc28acc2-5c25-430d-a57b-82539616b785",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5214, 132, 855, 21, 37, "NotesSection",ExpressionUUID->"6ff76957-53a4-4278-999b-b1ed59058082",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->313162401],
Cell[6072, 155, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"30b0eec7-45c3-4fe7-ba43-4e220320b29b"],
Cell[6161, 157, 407, 12, 70, "Notes",ExpressionUUID->"e0b1d7aa-5595-48ac-a165-b4548a4b9d85",
 CellID->1067943069],
Cell[6571, 171, 722, 16, 70, "Notes",ExpressionUUID->"d1ac8762-71e0-4e5d-81b5-515401356d6e",
 CellID->66919531],
Cell[7296, 189, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"73749f97-2ef5-4473-bf72-a44cfec55e17"]
}, Closed]],
Cell[CellGroupData[{
Cell[7419, 194, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"8f05d918-6ffa-4071-8e5b-0aa27c86abdc",
 CellTags->"PrimaryExamplesSection",
 CellID->546902874],
Cell[CellGroupData[{
Cell[7879, 209, 308, 7, 29, "ExampleSection",ExpressionUUID->"ca89335a-1517-4e91-b985-a898426d59ea",
 CellID->128042092],
Cell[8190, 218, 196, 4, 38, "ExampleText",ExpressionUUID->"1ccab025-a268-49b2-8ccc-4d693900ae50",
 CellID->14658346],
Cell[CellGroupData[{
Cell[8411, 226, 525, 14, 59, "Input",ExpressionUUID->"f2c45290-622d-4194-a852-28cd8beee700",
 CellID->430153659],
Cell[8939, 242, 148, 3, 35, "Output",ExpressionUUID->"0be26205-db75-48be-bcca-413cd6081775",
 CellID->665334569],
Cell[9090, 247, 148, 3, 35, "Output",ExpressionUUID->"35e7efe0-f9dc-405f-ba28-2e9112ae68ac",
 CellID->559229537],
Cell[9241, 252, 147, 3, 35, "Output",ExpressionUUID->"7ea8a994-d74e-4ef4-bc0b-78c3bb8843ed",
 CellID->20905493]
}, Open  ]],
Cell[9403, 258, 177, 3, 38, "ExampleText",ExpressionUUID->"c7641fe3-ec9b-480c-946e-f2a88774e903",
 CellID->14832221],
Cell[CellGroupData[{
Cell[9605, 265, 511, 15, 26, "Input",ExpressionUUID->"13e44172-b0fa-4b4e-afcd-5647b3d3e0ee",
 CellID->493228872],
Cell[10119, 282, 147, 3, 35, "Output",ExpressionUUID->"26865742-c9b4-418f-85cb-c53412ffcd1a",
 CellID->38859239]
}, Open  ]],
Cell[10281, 288, 119, 1, 38, "ExampleText",ExpressionUUID->"afdd52e4-535b-43f9-82fe-b4032af93be2",
 CellID->246113678],
Cell[CellGroupData[{
Cell[10425, 293, 410, 12, 26, "Input",ExpressionUUID->"43ea664c-1e54-45a4-8184-3c44bffde8d8",
 CellID->567799115],
Cell[10838, 307, 486, 16, 35, "Output",ExpressionUUID->"34b5e320-0284-480a-a7ad-0601ed5483b5",
 CellID->55526912]
}, Open  ]],
Cell[CellGroupData[{
Cell[11361, 328, 525, 14, 59, "Input",ExpressionUUID->"072aee7f-1c69-4150-8159-338c0c74126c",
 CellID->446960385],
Cell[11889, 344, 148, 3, 35, "Output",ExpressionUUID->"e47d3e33-a95a-442e-a031-15fe215fb71f",
 CellID->283646812],
Cell[12040, 349, 148, 3, 35, "Output",ExpressionUUID->"935ed3c4-10c7-4690-bbbc-130b58ed0160",
 CellID->136288012],
Cell[12191, 354, 148, 3, 35, "Output",ExpressionUUID->"5ea4e6f4-b29e-42b8-b0fd-a661225a983d",
 CellID->115667193]
}, Open  ]],
Cell[12354, 360, 326, 8, 70, "ExampleText",ExpressionUUID->"7ba472b6-bc35-4773-8a9b-5fa676b23961",
 CellID->52707123],
Cell[CellGroupData[{
Cell[12705, 372, 182, 3, 70, "Input",ExpressionUUID->"33ddfac5-efe4-42d3-ba43-e965be15805f",
 CellID->108473077],
Cell[12890, 377, 148, 3, 35, "Output",ExpressionUUID->"602adf04-5979-44e2-b9f7-5ceda263948d",
 CellID->104648334]
}, Open  ]],
Cell[CellGroupData[{
Cell[13075, 385, 1067, 32, 70, "Input",ExpressionUUID->"145c0203-121c-41bb-9b91-96d00d3f1875",
 CellID->324130005],
Cell[14145, 419, 129, 2, 35, "Output",ExpressionUUID->"8928957a-68b9-48b7-b9ba-3a78cf717404",
 CellID->400119083]
}, Open  ]],
Cell[CellGroupData[{
Cell[14311, 426, 242, 5, 70, "ExampleDelimiter",ExpressionUUID->"565bb694-7691-4ce2-b5d9-8177099b815b",
 CellID->745304506],
Cell[14556, 433, 354, 8, 70, "ExampleText",ExpressionUUID->"264f14f7-00d3-4dd0-92a2-5772d280e08f",
 CellID->534548180],
Cell[CellGroupData[{
Cell[14935, 445, 182, 3, 70, "Input",ExpressionUUID->"a5edd4bf-2776-4825-8bcc-90bd5e4a8048",
 CellID->11503332],
Cell[15120, 450, 171, 4, 35, "Output",ExpressionUUID->"239b20d0-9ae9-4ef8-a7c4-9af4b5006c32",
 CellID->205088904]
}, Open  ]],
Cell[15306, 457, 191, 4, 70, "ExampleText",ExpressionUUID->"6ab1c941-3bd8-4669-89ba-ad5da6eeb2db",
 CellID->7780329],
Cell[CellGroupData[{
Cell[15522, 465, 440, 12, 70, "Input",ExpressionUUID->"1bf89c75-514f-4087-a212-52ac11999628",
 CellID->189479435],
Cell[15965, 479, 171, 4, 35, "Output",ExpressionUUID->"8c356c61-9ef0-4a4e-8d21-6e6c6293eaf9",
 CellID->402051951],
Cell[16139, 485, 171, 4, 35, "Output",ExpressionUUID->"18fd2bc1-6a72-4784-ab63-e042fc375f42",
 CellID->313953897]
}, Open  ]],
Cell[16325, 492, 187, 4, 70, "ExampleText",ExpressionUUID->"b21418db-6c4e-4123-b5fb-26ecf9cd19cd",
 CellID->40073819],
Cell[CellGroupData[{
Cell[16537, 500, 273, 7, 70, "Input",ExpressionUUID->"741cf9b6-c215-424c-a9d1-695c26c919de",
 CellID->241888989],
Cell[16813, 509, 171, 4, 35, "Output",ExpressionUUID->"dace2d63-2e71-4cda-99ed-8af8c6d730d0",
 CellID->379053747]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[17023, 518, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"9879a4cd-24a0-4071-8b33-552239f1d07e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17146, 523, 262, 7, 70, "TutorialsSection",ExpressionUUID->"2bffa525-31be-4e1c-9a1e-0f396aaab2e9",
 CellID->250839057],
Cell[17411, 532, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"b62d3d90-8b2a-4c28-be6c-a6a176b4cbf6"],
Cell[17500, 534, 241, 5, 70, "Tutorials",ExpressionUUID->"b4f8a458-25e9-41a1-b3a4-55b0f5dd0624",
 CellID->341631938],
Cell[17744, 541, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"cc482245-46d4-4fde-8d41-92576ff1cd12"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17867, 546, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"63ca05eb-6a60-4bf3-a922-ab4d58ed99e2",
 CellID->1584193535],
Cell[18140, 555, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"d57ce8ed-6a9c-4606-bae4-9cb2f10cfbd3"],
Cell[18229, 557, 1045, 28, 70, "SeeAlso",ExpressionUUID->"76fa5fc7-97d1-412d-a782-931419550406",
 CellID->1038487239]
}, Open  ]],
Cell[19289, 588, 78, 0, 70, "FooterCell",ExpressionUUID->"99da3b34-02a0-4b15-beba-3d9a1888b517"]
}
]
*)

(* End of internal cache information *)

