(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     90005,       2214]
NotebookOptionsPosition[     77770,       1954]
NotebookOutlinePosition[     80483,       2021]
CellTagsIndexPosition[     80361,       2015]
WindowTitle->DecomposeRep
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "c976e1e7-4a02-4f82-9a40-a7540debc698"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"4160d0b2-2a3f-428a-93f5-cb0c534e2324"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "d26520a4-490d-48a7-9209-c8cddb5cb3be"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "See Also",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"34c92ef4-2966-460c-88a4-127190ea2f41"],
         TextCell[
          Row[{"See Also", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"RepName\"\>":>Documentation`HelpLookup[
       "paclet:GroupMath/ref/RepName"], \
"\<\"RegularSubgroupProjectionMatrix\"\>":>Documentation`HelpLookup[
       "paclet:GroupMath/ref/RegularSubgroupProjectionMatrix"], \
"\<\"FindAllEmbeddings\"\>":>Documentation`HelpLookup[
       "paclet:GroupMath/ref/FindAllEmbeddings"], "\<\"MaximalSubgroups\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/ref/MaximalSubgroups"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"SeeAlso"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "e0b227bc-e965-4f8e-b767-7cf660b461db"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Related Guides",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"afd04a45-dbeb-4513-a430-a95a704c413e"],
         TextCell[
          Row[{"Related Guides", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"R. Slansky, Phys.Rept. 79 (1981)\"\>":>
       Documentation`HelpLookup[
       "paclet:ref/R. Slansky, Phys.Rept. 79 (1981)"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"MoreAbout"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "fe3e56d4-2db8-4f51-8957-d6f0720ac4f7"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"2a22f48e-95b6-418a-ad34-d57350255e9b"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/DecomposeRep\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/DecomposeRep"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
DecomposeRep.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$13699], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/DecomposeRep", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "e33f7870-4bb4-4bb0-90d9-175e40b4379d"]
    }], "AnchorBar",ExpressionUUID->"84027d4c-88aa-4403-83b3-1da5a2fbdfb8"]}
  }]], "AnchorBarGrid",
 CellID->1,ExpressionUUID->"bc1813ec-64a1-4aa1-ac20-7f04d30059a4"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["DecomposeRep", "ObjectName",ExpressionUUID->
  "5af1e3ac-985d-4511-b302-fb4678baf84e"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"7ca26043-432b-41b5-b61b-7fb8937cbe8c"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "e1baab22-0ab8-4218-838b-310260ffdeea"]
}], "ObjectNameGrid",ExpressionUUID->"64e9aa28-7f0b-446e-9749-eb9aee088244"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"DecomposeRep", "[", 
       RowBox[{
       "group", ",", "representation", ",", "subgroup", ",", 
        "projectionMatrix"}], "]"}]], "InlineFormula",ExpressionUUID->
      "9db4028a-6408-43da-bd50-9dd6d6adbe34"],
     " \[LineSeparator]Decomposes the given irreducible ",
     Cell[BoxData[
     "representation"], "InlineFormula",ExpressionUUID->
      "d180090b-0223-4523-b86e-85fa4600dfa7"],
     " of ",
     Cell[BoxData[
     "group"], "InlineFormula",ExpressionUUID->
      "b10459ab-7a3f-4488-bb5a-781366716e12"],
     " in a list of irreducible representations of ",
     Cell[BoxData[
     "subgroup"], "InlineFormula",ExpressionUUID->
      "d4bd1868-1304-4d77-8db9-dab6f18632d7"],
     ", using ",
     Cell[BoxData[
     "projectionMatrix"], "InlineFormula",ExpressionUUID->
      "de6dc0dd-f107-4499-bf38-73d9d333184c"]
    }],ExpressionUUID->"8c0d73fe-92e9-4dbb-8d55-33a60ea97553"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"28245444-e131-4868-8a0d-c8160a273a07"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"885b72c1-476c-4a50-b13d-8e9f402c7db6"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"b0d110ee-960d-4f44-af27-e9b6d44737ce"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"ef824d8b-0a52-4d77-b982-795792959159"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->266485055,ExpressionUUID->"7d96c150-c7ad-4eed-8ad2-e4737709e6f6"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"74bd4511-a598-48a8-bdf0-063776000af6"],

Cell[TextData[{
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "647ea557-be3a-412c-a763-73eda63c8ba8"],
 " must be a list of simple/U(1) factor groups:   ",
 Cell[BoxData[
  RowBox[{"group", "=", 
   RowBox[{"{", 
    RowBox[{"G1", ",", "G2", ",", "..."}], "}"}]}]], "InlineFormula",
  ExpressionUUID->"ae4eb16c-e8f4-4d49-a443-bcf3f002cb73"],
 "."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"2565e141-d759-4d4d-b009-fe92b29588c4"],

Cell[TextData[{
 Cell[BoxData[
 "representation"], "InlineFormula",ExpressionUUID->
  "fa76a600-5305-4037-877e-2b2a5bfbff0d"],
 " must be of the form   ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{"repG1", ",", "repG2", ",", "..."}], "}"}]], "InlineFormula",
  ExpressionUUID->"1e390d86-4e46-459e-941f-9414e6af99e0"],
 " where ",
 Cell[BoxData[
 "repGi"], "InlineFormula",ExpressionUUID->
  "be65c3f5-02c6-4fe4-8069-ae16871d5187"],
 " should be the representation (its Dynkin coefficients) under the factor \
group ",
 Cell[BoxData[
 "Gi"], "InlineFormula",ExpressionUUID->
  "21a15e31-b965-4309-8752-39116a9c623b"],
 ". It is also possible to use the simplified input format for \
representations (see the ",
 ButtonBox["GroupMath tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/tutorial/GroupMathDoc"],
 " page)."
}], "Notes",
 CellID->177084985,ExpressionUUID->"ebe04603-1fba-45c0-9e31-11dbfa5e3efa"],

Cell[TextData[{
 Cell[BoxData[
 "subgroup"], "InlineFormula",ExpressionUUID->
  "b25b909b-3ea0-47b8-b3a4-f975a1b72289"],
 " must be a list of simple/U(1) factor groups:   ",
 Cell[BoxData[
  RowBox[{"group", "=", 
   RowBox[{"{", 
    RowBox[{"H1", ",", "H2", ",", "..."}], "}"}]}]], "InlineFormula",
  ExpressionUUID->"dabdb44f-da28-4839-a919-b6a5bf98a18c"],
 "."
}], "Notes",
 CellID->741685942,ExpressionUUID->"e9ba1946-fec0-4a1b-8649-f44261b9b5b2"],

Cell[TextData[{
 Cell[BoxData[
 "projectionMatrix"], "InlineFormula",ExpressionUUID->
  "7430194b-3080-48d8-bfe9-fafea94a61af"],
 " must be an m x n matrix, where n is the rank of ",
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "f21183b5-9998-41d0-820d-1c51e1d7a2cd"],
 " and m is the rank of ",
 Cell[BoxData[
 "subgroup"], "InlineFormula",ExpressionUUID->
  "6c933e18-5bc2-41a5-85b2-738b90082b55"],
 ". This matrix specifies how to convert the weights of  ",
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "937f8be6-9f63-42da-bcf6-94e6a2e4c434"],
 " into those of ",
 Cell[BoxData[
 "subgroup"], "InlineFormula",ExpressionUUID->
  "12ed696d-58a6-409f-b5c1-260a6fd47453"],
 ": once it has been computed, it can be used to repeatedly decompose any \
representation of  ",
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "d624fa9d-0b37-464a-ae2f-8935077a82bc"],
 " into representations of ",
 Cell[BoxData[
 "subgroup"], "InlineFormula",ExpressionUUID->
  "6284f669-7f65-4705-80d6-85f225b88a77"],
 ". See ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["R. Slansky, Phys.Rept. 79 (1981)"]],
    "http://dx.doi.org/10.1016/0370-1573(81)90092-2"},
   "WebLink",
   BaseStyle->{"Notes"}]],ExpressionUUID->
  "a6abc761-c92f-4be9-affe-a4219dd7b063"],
 " for more details and examples. Below there are also some examples. The \
function ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "24879aba-81b9-4994-99e4-eb1bf563ceee"],
 " can be used to easily compute these matrices (see also ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["RegularSubgroupProjectionMatrix"]],
    "paclet:GroupMath/ref/RegularSubgroupProjectionMatrix"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "fa2e72db-d3e1-4b8a-8595-a1a70e9a39e4"],
 " which requires more work and it will only work in for some subgroups [the \
regular ones]). "
}], "Notes",
 CellID->25640748,ExpressionUUID->"c52d5691-1238-4150-b9b9-5e30c9d4f5c2"],

Cell[TextData[{
 "The ",
 Cell[BoxData[
 "DecomposeRep"], "InlineFormula",ExpressionUUID->
  "dab1527b-5e49-41b1-aba5-4e0b90a03a31"],
 " function outputs a list of representations of ",
 Cell[BoxData[
 "subgroup"], "InlineFormula",ExpressionUUID->
  "e74efd9f-8eb6-4c8e-8788-ac8f2014a03c"],
 ". Use ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["RepName"]],"paclet:GroupMath/ref/RepName"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "caf4b86f-ea55-48ed-a1a4-607f16967c6b"],
 " to convert the Dynkin coefficients into names of representations (the \
option ",
 Cell[BoxData[
  RowBox[{"UseName", "->", "True"}]], "InlineFormula",ExpressionUUID->
  "a7fa3033-6415-4506-b250-4ec336ee841a"],
 " of  ",
 Cell[BoxData[
 "DecomposeRep"], "InlineFormula",ExpressionUUID->
  "b82973e3-1278-457a-b37e-d5cbbc1c665d"],
 " has the same effect)."
}], "Notes",
 CellID->98335060,ExpressionUUID->"b489b219-a2f2-4966-ac14-6d9064158eb5"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"c3c09eef-510d-473b-90c7-68a1e24703ec"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"35964872-bb71-43c8-92c4-bd44c66f4b6e"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(6)", "ExampleCount",ExpressionUUID->
  "635fc8ba-df0f-4fe4-b048-759401b632dd"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->10679730,ExpressionUUID->"04ffdfe7-3dee-4b47-a56f-996024450fc3"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(6)", "ExampleCount",ExpressionUUID->
  "977fb0f9-b39d-4d57-b2c1-eea7f4aafa52"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->29648380,ExpressionUUID->"ed9cfee8-fd50-49d1-b210-979088377c3d"],

Cell["\<\
We will look now at the breaking of SU(3) to SU(2)xU(1). For example, the \
breaking of an octet of SU(3) can be computed as follows:\
\>", "ExampleText",
 CellID->43649781,ExpressionUUID->"4b969d43-085e-4e12-bc44-270c4477a598"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"SU3", ",", "8", ",", 
   RowBox[{"{", 
    RowBox[{"SU2", ",", "U1"}], "}"}], ",", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0"},
      {"1", "2"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->116246930,ExpressionUUID->"f4e658ec-21db-4a08-810c-376d14a031cf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"3\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"3\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \
\\\"3\\\"}]\\)\"\>"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->15013075,ExpressionUUID->"5f5036bc-84b6-44c4-bf3e-e1cbd0f3a967"]
}, Open  ]],

Cell["\<\
The simplified input notation for the octet was used here. The option UseName\
\[Rule]True was also used here to convert the output representations into \
names (this can be time consuming in some cases).\
\>", "ExampleText",
 CellID->325717449,ExpressionUUID->"7fd750d7-f983-4fcf-a802-db7ef9335ef1"],

Cell[TextData[{
 "Note also that we need to know the projection matrix, in this case \
{{1,0},{1,2}}. One simple way to get this matrix is to use the ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "e5dddb91-4500-47f0-95f1-240b0a3fdb98"],
 " function:"
}], "ExampleText",
 CellID->344392230,ExpressionUUID->"87b946e3-5795-45df-8906-3ca0e4518ef0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"embeddings", "=", 
  RowBox[{"FindAllEmbeddings", "[", 
   RowBox[{"SU3", ",", 
    RowBox[{"{", 
     RowBox[{"SU2", ",", "U1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "embeddings", "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->83652903,ExpressionUUID->"3a2e8824-06ea-4463-baf5-8f819bbc8400"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", "2", "}"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}], "}"}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->364417381,ExpressionUUID->"d59d34f0-f576-4a20-9535-1876f284ef57"],

Cell[BoxData["1"], "Output",
 CellLabel->"Out[2]=",
 CellID->135381231,ExpressionUUID->"f98953bc-75ac-457d-86af-b19465eef6de"]
}, Open  ]],

Cell["\<\
There is a single embedding of SU(2)xU(1) in SU(3), and a possible projection \
matrix is precisely\
\>", "ExampleText",
 CellID->45111845,ExpressionUUID->"35e3ac01-ab77-4277-8ccf-e3d7bd08088e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"embeddings", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2"}], "]"}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->178973206,ExpressionUUID->"2319fa0b-88eb-4b3e-a864-1ea98bf25fe0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->47870647,ExpressionUUID->"b9a1a86c-b8b8-4cf7-896c-83fba836a5d4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "49fdacc5-73b0-4f80-a09d-cbeddcc148c4"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->337189816,ExpressionUUID->"769b4168-dfd9-465e-9f97-76ca9b6a0c4a"],

Cell["\<\
The same example as before, but without simplified input notation nor the \
usage of UseName\[Rule]True:\
\>", "ExampleText",
 CellID->29602772,ExpressionUUID->"5d90dd45-2dff-4f82-a035-f8cf5976fa1f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"group", "=", "SU3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rep", "=", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1"}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"8", " ", "of", " ", "SU", 
    RowBox[{"(", "3", ")"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subgroup", "=", 
   RowBox[{"{", 
    RowBox[{"SU2", ",", "U1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prjMat", "=", 
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "0"},
        {"1", "2"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"decomposition", "=", 
  RowBox[{"DecomposeRep", "[", 
   RowBox[{"group", ",", "rep", ",", "subgroup", ",", "prjMat"}], 
   "]"}]}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->203761008,ExpressionUUID->"20e20bcd-aaca-42b6-a28d-7e4ac4e07248"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "0", "}"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"-", "3"}]}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->504598239,ExpressionUUID->"f42c06e0-c073-40db-a607-5ae4a9e02dc6"]
}, Open  ]],

Cell["\<\
As mentioned above, the option UseName can be used to convert the Dynkin \
coefficients in the output into names of representations:\
\>", "ExampleText",
 CellID->6159788,ExpressionUUID->"17107d9b-2e45-436d-b7e5-da8a9cd0c4e6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"group", ",", "rep", ",", "subgroup", ",", "prjMat", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->307140221,ExpressionUUID->"a90ec13f-7fee-428b-add3-3fe7503907c7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"3\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"3\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \
\\\"3\\\"}]\\)\"\>"}]}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->416826227,ExpressionUUID->"e009de48-282e-4fec-b3e4-6db2c7c2f84f"]
}, Open  ]],

Cell["\<\
However, note that it is computationally taxing to compute a representation's \
name. If is faster to compute only the dimension:\
\>", "ExampleText",
 CellID->316697801,ExpressionUUID->"81b28fec-6678-4617-a8b8-1cae5d95bb46"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Times", "@@", 
    RowBox[{"DimR", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"SU2", ",", "U1"}], "}"}], ",", "#"}], "]"}]}], "&"}], "/@", 
  "decomposition"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->131099423,ExpressionUUID->"b469bf98-a7a9-4bec-94c8-dc198b88f339"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "1", ",", "2"}], "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->609644804,ExpressionUUID->"7ffd3fc5-8025-42b1-a690-46ca398415c1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "b71a703b-8589-4aac-88f6-b4c3d89ea8f2"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->4410799,ExpressionUUID->"6cb681ea-a0c0-40cf-a063-fb0ab93dbe69"],

Cell["\<\
Projection all SU(5) representation smaller than size 100 into \
SU(3)xSU(2)xU(1):\
\>", "ExampleText",
 CellID->525215179,ExpressionUUID->"c10f41e1-17f5-4226-805c-c8fca8876ecf"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"group", "=", 
   RowBox[{"{", "SU5", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subgroup", "=", 
   RowBox[{"{", 
    RowBox[{"SU3", ",", "SU2", ",", "U1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prjMatrix", "=", 
   TagBox[
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "0", "0", "0"},
        {"0", "1", "0", "0"},
        {"0", "0", "0", "1"},
        {"2", "4", "6", "3"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SU5reps", "=", 
   RowBox[{"RepsUpToDimN", "[", 
    RowBox[{"SU5", ",", "100"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"RepName", "[", 
          RowBox[{
           RowBox[{"group", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "rep"}], "]"}], ",", 
         RowBox[{"Darker", "[", "Red", "]"}]}], "]"}], ",", 
       RowBox[{"DecomposeRep", "[", 
        RowBox[{"group", ",", 
         RowBox[{"{", "rep", "}"}], ",", "subgroup", ",", "prjMatrix", ",", 
         RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"rep", ",", "SU5reps"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"Prepend", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"#", ",", "Bold"}], "]"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
       "\"\<SU(5) rep\>\"", ",", "\"\<SU(3) x SU(2) x U(1) content\>\""}], 
       "}"}]}]}], "]"}], ",", 
   RowBox[{"Frame", "\[Rule]", "All"}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", "LightGray"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->437977129,ExpressionUUID->"a773b96f-97a9-45df-a01b-8b4b25c009ab"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnUuO5byWnaNcnWp6Cp6FcQA33KxuGR5AFeqq4M4t4JYBw62YgmZw+jkA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    "], {{0, 453}, {573, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{573, 453},
  PlotRange->{{0, 573}, {0, 453}}]], "Output",
 CellTags->"RasterizedOutput",
 CellLabel->"Out[1]=",
 CellID->435018152,ExpressionUUID->"82cad0e5-6e97-4181-b88a-362e7388bb7a"]
}, Open  ]],

Cell[TextData[{
 "Again, the projection matrix used here can be obtained with the ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "ad668b14-3848-44a9-90f5-2fb6e9214a18"],
 " function. It returns a single embedding, and the associated projection \
matrix is "
}], "ExampleText",
 CellID->11807966,ExpressionUUID->"25797daf-16ec-4bae-8a04-d0530b860b4a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FindAllEmbeddings", "[", 
    RowBox[{"SU5", ",", 
     RowBox[{"{", 
      RowBox[{"SU3", ",", "SU2", ",", "U1"}], "}"}]}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2"}], "]"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->482655515,ExpressionUUID->"52638f37-b9df-4ac7-9208-a2d419711311"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"},
     {"2", "4", "6", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellLabel->"Out[2]//MatrixForm=",
 CellID->975974,ExpressionUUID->"1bcdb37e-0774-495e-963f-d01c44194dad"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "4113f6f2-ffb0-4173-b03a-02a10318084b"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->107926830,ExpressionUUID->"8c6445a1-eeae-44c0-8db2-9756a452bea4"],

Cell["\<\
Projection of the 16 of SO(10) into SU(3)xSU(2)xU(1)xU(1) representations:\
\>", "ExampleText",
 CellID->261529272,ExpressionUUID->"8816f403-837f-4157-96f6-b822bbeaf192"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"group", "=", 
   RowBox[{"{", "SO10", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subgroup", "=", 
   RowBox[{"{", 
    RowBox[{"SU3", ",", "SU2", ",", "U1", ",", "U1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prjMatrix", "=", 
    TagBox[
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0", "0", "0"},
         {"1", "0", "0", "0", "0"},
         {"0", "0", "0", "1", "0"},
         {"0", "0", "0", "0", "1"},
         {"2", "4", "6", "3", "0"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"group", ",", "rep", ",", "subgroup", ",", "prjMatrix", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->250371063,ExpressionUUID->"bdc63fcd-5e3b-4afa-9978-6a4ddd33a8d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \\\"3\\\"}]\\)\"\>"}], 
   ",", 
   RowBox[{
    OverscriptBox[
     StyleBox["\<\"3\"\>",
      StripOnInput->False,
      FontWeight->Bold], "_"], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \\\"1\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"2\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    OverscriptBox[
     StyleBox["\<\"3\"\>",
      StripOnInput->False,
      FontWeight->Bold], "_"], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"1\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \\\"4\\\"}]\\)\"\>"}], 
   ",", 
   RowBox[{
    StyleBox["\<\"3\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"1\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", \\\"1\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"6\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"1\\\"}]\\)\"\>", 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->119230676,ExpressionUUID->"7f1c62b2-9cf5-48f5-9830-1232c52f4412"]
}, Open  ]],

Cell[TextData[{
 "The projection matrix above can be obtained with ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "5a519183-642f-4b2b-9ee5-4547a2e89809"],
 ":"
}], "ExampleText",
 CellID->196888979,ExpressionUUID->"0a6d7991-e83c-41da-9f1b-aeee276e9b09"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FindAllEmbeddings", "[", 
   RowBox[{"SO10", ",", 
    RowBox[{"{", 
     RowBox[{"SU3", ",", "SU2", ",", "U1", ",", "U1"}], "}"}]}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2"}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->399470462,ExpressionUUID->"baccfee9-1897-47ce-a8ac-a162f51692ed"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "6", ",", "3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "6", ",", "3", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->562662727,ExpressionUUID->"fd6174ae-2fbb-4cb0-b6cc-2791dc064da2"]
}, Open  ]],

Cell["\<\
A possible projection of the 16 of SO(10) directly into SU(3)xSU(2)xU(1) \
representations could (for example) be as follows:\
\>", "ExampleText",
 CellID->883638537,ExpressionUUID->"07709bd0-e8b5-41e4-8891-de0f4ea9f4cf"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"group", "=", 
   RowBox[{"{", "SO10", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subgroup", "=", 
   RowBox[{"{", 
    RowBox[{"SU3", ",", "SU2", ",", "U1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prjMatrix", "=", 
    TagBox[
     TagBox[
      TagBox[
       TagBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {"0", "1", "0", "0", "0"},
           {"1", "0", "0", "0", "0"},
           {"0", "0", "0", "1", "0"},
           {
            FractionBox["1", "3"], 
            FractionBox["2", "3"], "1", 
            FractionBox["1", "2"], "0"}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.7]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
        Function[BoxForm`e$, 
         MatrixForm[BoxForm`e$]]],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"group", ",", "rep", ",", "subgroup", ",", "prjMatrix", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->8167165,ExpressionUUID->"04cedd4e-fc8c-4354-b270-5adcf031daa1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", \
\\\"2\\\"]}]\\)\"\>"}], ",", 
   RowBox[{
    OverscriptBox[
     StyleBox["\<\"3\"\>",
      StripOnInput->False,
      FontWeight->Bold], "_"], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*FractionBox[\\\"1\\\", \
\\\"3\\\"]\\)\"\>"}], ",", 
   RowBox[{
    OverscriptBox[
     StyleBox["\<\"3\"\>",
      StripOnInput->False,
      FontWeight->Bold], "_"], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", FractionBox[\\\"2\\\", \
\\\"3\\\"]}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"3\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*FractionBox[\\\"1\\\", \
\\\"6\\\"]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"1\\\"}]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"0\\\"}]\\)\"\>"}]}], 
  "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->112655723,ExpressionUUID->"4149baa7-6af3-4d58-8c24-5356cbd8c969"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "00e68a49-878b-4ae8-9f35-3192551772e0"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->183547234,ExpressionUUID->"0d888d76-3671-49ff-95c1-a5d152e31a6b"],

Cell[TextData[{
 "Decomposition of the representation ",
 StyleBox["4",
  FontWeight->"Bold"],
 "x",
 StyleBox["2",
  FontWeight->"Bold"],
 "x",
 StyleBox["1",
  FontWeight->"Bold"],
 " of SU(4)xSU(2)xSU(2) into SU(3)xSU(2)xU(1) representations:"
}], "ExampleText",
 CellID->173983053,ExpressionUUID->"a3b6ae64-155a-487f-b22c-7912bc680814"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"group", "=", 
   RowBox[{"{", 
    RowBox[{"SU4", ",", "SU2", ",", "SU2"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subgroup", "=", 
   RowBox[{"{", 
    RowBox[{"SU3", ",", "SU2", ",", "U1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prjMatrix", "=", 
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "0", "0", "0", "0"},
        {"0", "1", "0", "0", "0"},
        {"0", "0", "0", "1", "0"},
        {
         FractionBox["1", "6"], 
         FractionBox["1", "3"], 
         FractionBox["1", "2"], "0", "0"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"group", ",", "rep", ",", "subgroup", ",", "prjMatrix", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->22480244,ExpressionUUID->"386662ea-480f-4304-858e-9c389ba20370"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"3\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*FractionBox[\\\"1\\\", \
\\\"6\\\"]\\)\"\>"}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"2\"\>",
     StripOnInput->False,
     FontWeight->Bold], 
    "\[CircleTimes]", "\<\"\\!\\(\\*RowBox[{\\\"-\\\", FractionBox[\\\"1\\\", \
\\\"2\\\"]}]\\)\"\>"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->110094257,ExpressionUUID->"ee721ce0-f7b0-4734-8120-f9195d66b0a6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "052ed17c-c742-42f5-81ef-29a244de6e14"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->167678147,ExpressionUUID->"d1413394-aa37-48c6-b95f-f382cd6be264"],

Cell["\<\
F(4)xG(2) is a maximal subgroup of E(8). The 248 and 30380-dimensional \
representations of E(8) break as follows:\
\>", "ExampleText",
 CellID->249036679,ExpressionUUID->"586b3b36-e529-4ec9-a262-a0069a0d0b05"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"prjMatrix", "=", 
    TagBox[
     TagBox[
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "0", "0", "0", "0", "0", "0", "1"},
          {"0", "0", "1", "0", "0", "0", "0", "0"},
          {"0", "1", "0", "1", "0", "0", "0", "0"},
          {"1", "0", "0", "0", "1", "0", "0", "0"},
          {"0", "0", "0", "0", "0", "0", "1", "0"},
          {"2", "4", "6", "5", "4", "3", "0", "3"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"E8", ",", "248", ",", 
   RowBox[{"{", 
    RowBox[{"F4", ",", "G2"}], "}"}], ",", "prjMatrix", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DecomposeRep", "[", 
  RowBox[{"E8", ",", "30380", ",", 
   RowBox[{"{", 
    RowBox[{"F4", ",", "G2"}], "}"}], ",", "prjMatrix", ",", 
   RowBox[{"UseName", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->672760807,ExpressionUUID->"3019b431-723d-413d-8394-ef57bf394943"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    StyleBox["\<\"52\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold]}], ",", 
   RowBox[{
    StyleBox["\<\"26\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"7\"\>",
     StripOnInput->False,
     FontWeight->Bold]}], ",", 
   RowBox[{
    StyleBox["\<\"1\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[CircleTimes]", 
    StyleBox["\<\"14\"\>",
     StripOnInput->False,
     FontWeight->Bold]}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->53044803,ExpressionUUID->"c9be6b0e-7530-4a52-a83c-84806b99bd81"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnU2O00wQhg1sWHIDxC1QdizZDuIAM2IyYjNIM0iIW/g0vgKH8GEGx3bi
/qkqd5XL3R2oV+JT4qSrHr/943ZP3N+Hux83x9dN0zy/Hf5zc/vr09PT7e8v
74Y3Xx+fvz883n/7/Pjz/uH+6ePdm+Hg++Hfn1dNc3r9YjKZTCaTyWQy1a++
L01gMplM/4j69th2/qDaHZumObS9851DM+vYOd9xdD6+fOYGSFCUVFhqlXU+
6h106VfT8cvBuQBS7/sqBnJD7YwqNDC9BYqqld3Cy6HWSeUE5LRasGMSjY2S
Yg1uV9d6LlzYHHMGOMfwEC08eHp/OBxid4fh+9i23ZAwHMahpOtCUM9vl5en
V4ShTpl1VLeQoJZ8PthVRQPRUOVQ3aKcoYTRAiP+VSpJ/EKolVKJujDYMUnU
HDWoIH9QndgAOxc4qN+Go1rXhh1tcGM4DL1ZTYqBx6XGmp29m2p5/IgeVMcv
+vNyHBU561RFueJgigZioUqigoEYWm+BGH8KFSN+adS6qMRdmDPbyV6DYgUz
VRIiPh44388drA87Wj9mGXJ1fd+dX8eLDvwzB3p5P3EMV7R5iHVvA5wMyw2D
V7EJqPCAQwnJFZ2CooFoqApQ+QbC5wiFkldrWvwqUOukkgyqQMdEomWvQakG
OuDmAjRn8trvaO7U0H0XdbSum1cy28NxOt53wEquyqDaztc/H+7yhWisCExf
RwUCpwppwe7sWsdAIlR5VKGB6y2Q4E8wkBe/JGqdVBtmhFHHBFDz1qBc/Tju
R4eRGfTKUoWzVBwtDU/XlH68ykwp95ipzgTOn6LCgPjlIh110wJNkGsvA6lQ
xVFlBrIXyzSq9YpQi1Ntus32i8KoGWtwo1Km0PAEmphWx7Oj0wrz8TKjPC03
J6yLJzjil3KaAUgH1nqYhEbFzjqt8txvUbclWgaCocqiigxkt0BmtfLiF0Wt
lOpcgt+Fw5IoVK4a3C5/UA1mIJcFSmBKwuto46x4cGFcD1msQZM6nxA5gFLL
Oo23KhAe80pHCwIoKlXj5CUmyoW4qmwgGKok6nYDyRYoq1ZuCy+IWimVrAuv
dsyQIUcNagiaqe6onvegwcrfB3dVnahMKlB1otZJBapO1P+Fqv4a7MFV1Qo0
XXyy/hJCKkPdqDqpQNWJalTpykLVR39EM5lMJpPJZDKZTCaTyWQymUwmk8lk
MplMJpPJdL1ytzjYusPhJR78DBPjRw15qChhuZbjsj1L/IfmmbZoUgGhfNfT
Tdb1SqkJ6VEVt0UKcCnLcA3MlROAKsVuAxIA4mTHh/wTQ0QedaIdDpfWAmwj
wNvkMwfVGgCQi35uGgPASols0aIizeQ91KfplWoTUqNyKYrYIgIgW74wVw4A
vTag70Daj1FXHjSINwXIssnn/lTJWkoSu98QAFgpiS16VGAo6lAeKsUmpEgV
B7oKALzli3PlANAdRpQdSB9Uz4pp49Hr9Gb/TT73pkqXU3B62Z7RvJ0ncAC4
lMwWPSow1KWc8DFpLSqVJqROVdwWGQDQ8qW5cgIotgFFBxIHVT+3dxWV7XDo
ncJyZRb2iF2okuXnmkZ66KaZAoBKbbNFgwoM5RzjPyWtSKXYhPSoitsiBIBu
RGS5cgJotgE9B17geUl6cnhJJf8mn/pUnMxuLi+G/4YAAEp1W2zRoQJD4Qdz
Uik2ob29qh8AHlKy7lMqAVAdRtQcGFlOX0wfR6LTgHfQKrDJ505UJACUK7qP
c+5OcAC81AvbFj0q7PZGsh2lIlVYNkxTxqvytogAwoxONHaunABYqRfZMKLk
wPQJd03Vn21jl4Ucm3zmoeJvR+keD399gO+HSZTi2aJItf+GoiKv9JqQag2W
tkUEQJrJzZURQHEY0XTgXGrHrajq3OHQNn4EZVTpurYmtAmgeBVcHUDN+/sV
33exOAAoo0pXcSoD+P8A4P9tqslkMpn4sm2oTSaTaV/9BVinp/E=
    "], {{0, 31}, {455, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{455, 31},
  PlotRange->{{0, 455}, {0, 31}}]], "Output",
 CellTags->"RasterizedOutput",
 CellLabel->"Out[1]=",
 CellID->372052940,ExpressionUUID->"a27e6019-75be-4b08-80d3-123be2ba0d86"]
}, Open  ]],

Cell[TextData[{
 "As always, the projection matrix can be found with the function ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "3d4de195-369d-4295-92af-2e520f76a50a"],
 " and, in cases where the subgroup is maximal, it can also be found with the \
function ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["MaximalSubgroups"]],"paclet:GroupMath/ref/MaximalSubgroups"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "877d0ce8-4e44-4fe3-8b89-cfd1c5ce20a0"],
 ":"
}], "ExampleText",
 CellID->103604256,ExpressionUUID->"c7f2616a-1923-4c8a-8c74-42c811fb43b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MaximalSubgroups", "[", "E8", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"9", ",", "2"}], "]"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->35217365,ExpressionUUID->"c1a84189-c2b8-40f0-8da7-78a3ac468710"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "1", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0"},
     {"2", "4", "6", "5", "4", "3", "0", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellLabel->"Out[2]//MatrixForm=",
 CellID->93617792,ExpressionUUID->"63fdf9db-935f-4bff-b6e6-4df338276623"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"8ee153d1-1136-4e4d-88ae-8c09b18aa3b3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"50d5f8a9-6025-4b32-9cbb-f5e9c9c006bc"],
 "See Also"
}], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704,ExpressionUUID->"7a84a44a-7e8d-4b9d-9412-370c722577ba"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["RepName"]],"paclet:GroupMath/ref/RepName"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"ffcb3e81-cbbd-4a8c-bd61-456ff14c18a3"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["RegularSubgroupProjectionMatrix"]],
    "paclet:GroupMath/ref/RegularSubgroupProjectionMatrix"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"b5fb084e-f820-455d-b430-8ca9c42c60c8"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["FindAllEmbeddings"]],"paclet:GroupMath/ref/FindAllEmbeddings"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"cfdbe140-1e2c-41bf-a010-124baa51f32b"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["MaximalSubgroups"]],"paclet:GroupMath/ref/MaximalSubgroups"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula",
  ExpressionUUID->"cfe9dd36-df5a-4927-8bf4-7ed7dbf662ef"]
}], "SeeAlso",
 CellID->929782353,ExpressionUUID->"2359ed11-244e-481b-bd2f-8042e8a997d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"3ae6db03-001a-4bc3-802c-872f2c2629ba"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"24bb8520-d97d-4279-bd8b-77679221df93"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"f8e001ff-79ca-42e7-96da-a8b3fbfee1dd"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"7ce7e72b-f633-48ad-9c35-ca8ad5c5c0d5"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"afd61a07-574b-4540-9832-e24c2f85f246"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"23226f3c-dffa-45fc-a665-6054c404b550"],
 "Related Guides"
}], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248,ExpressionUUID->"80c0bcc6-552a-4c26-876b-dcefafe13a44"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"62ab6b23-73a4-4768-8776-fabef0c7163b"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["R. Slansky, Phys.Rept. 79 (1981)"]],
   "paclet:ref/R. Slansky, Phys.Rept. 79 (1981)"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->61180971,ExpressionUUID->"0f50938b-77d4-474e-afc4-ef46c9550610"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"a842b68a-50dc-4821-95f3-450a021723f7"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DecomposeRep",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 24.2615970}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "DecomposeRep[group, representation, subgroup, projectionMatrix] \
Decomposes the given irreducible representation of group in a list of \
irreducible representations of subgroup, using projectionMatrix", 
    "synonyms" -> {}, "tabletags" -> {}, "title" -> "DecomposeRep", 
    "titlemodifier" -> "", "windowtitle" -> "DecomposeRep", "type" -> 
    "Symbol", "uri" -> "GroupMath/ref/DecomposeRep", "WorkflowDockedCell" -> 
    ""}, "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[13485, 360, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"04ffdfe7-3dee-4b47-a56f-996024450fc3",
   CellTags->"PrimaryExamplesSection",
   CellID->10679730]},
 "RasterizedOutput"->{
  Cell[26316, 766, 26274, 436, 446, "Output",ExpressionUUID->"82cad0e5-6e97-4181-b88a-362e7388bb7a",
   CellTags->"RasterizedOutput",
   CellID->435018152],
  Cell[69927, 1745, 2497, 46, 52, "Output",ExpressionUUID->"a27e6019-75be-4b08-80d3-123be2ba0d86",
   CellTags->"RasterizedOutput",
   CellID->372052940]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 79827, 2001},
 {"RasterizedOutput", 80025, 2005}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[584, 21, 5270, 119, 53, "AnchorBarGrid",ExpressionUUID->"bc1813ec-64a1-4aa1-ac20-7f04d30059a4",
 CellID->1],
Cell[CellGroupData[{
Cell[5879, 144, 397, 9, 52, "ObjectNameGrid",ExpressionUUID->"64e9aa28-7f0b-446e-9749-eb9aee088244"],
Cell[6279, 155, 1158, 28, 131, "Usage",ExpressionUUID->"28245444-e131-4868-8a0d-c8160a273a07",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[7474, 188, 855, 21, 37, "NotesSection",ExpressionUUID->"7d96c150-c7ad-4eed-8ad2-e4737709e6f6",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->266485055],
Cell[8332, 211, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"74bd4511-a598-48a8-bdf0-063776000af6"],
Cell[8421, 213, 450, 12, 70, "Notes",ExpressionUUID->"2565e141-d759-4d4d-b009-fe92b29588c4",
 CellID->1067943069],
Cell[8874, 227, 919, 25, 70, "Notes",ExpressionUUID->"ebe04603-1fba-45c0-9e31-11dbfa5e3efa",
 CellID->177084985],
Cell[9796, 254, 452, 12, 70, "Notes",ExpressionUUID->"e9ba1946-fec0-4a1b-8649-f44261b9b5b2",
 CellID->741685942],
Cell[10251, 268, 2138, 56, 70, "Notes",ExpressionUUID->"c52d5691-1238-4150-b9b9-5e30c9d4f5c2",
 CellID->25640748],
Cell[12392, 326, 967, 27, 70, "Notes",ExpressionUUID->"b489b219-a2f2-4966-ac14-6d9064158eb5",
 CellID->98335060],
Cell[13362, 355, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"c3c09eef-510d-473b-90c7-68a1e24703ec"]
}, Closed]],
Cell[CellGroupData[{
Cell[13485, 360, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"04ffdfe7-3dee-4b47-a56f-996024450fc3",
 CellTags->"PrimaryExamplesSection",
 CellID->10679730],
Cell[CellGroupData[{
Cell[13944, 375, 307, 7, 29, "ExampleSection",ExpressionUUID->"ed9cfee8-fd50-49d1-b210-979088377c3d",
 CellID->29648380],
Cell[14254, 384, 238, 4, 57, "ExampleText",ExpressionUUID->"4b969d43-085e-4e12-bc44-270c4477a598",
 CellID->43649781],
Cell[CellGroupData[{
Cell[14517, 392, 818, 21, 39, "Input",ExpressionUUID->"f4e658ec-21db-4a08-810c-376d14a031cf",
 CellID->116246930],
Cell[15338, 415, 811, 25, 35, "Output",ExpressionUUID->"5f5036bc-84b6-44c4-bf3e-e1cbd0f3a967",
 CellID->15013075]
}, Open  ]],
Cell[16164, 443, 310, 5, 76, "ExampleText",ExpressionUUID->"7fd750d7-f983-4fcf-a802-db7ef9335ef1",
 CellID->325717449],
Cell[16477, 450, 500, 11, 58, "ExampleText",ExpressionUUID->"87b946e3-5795-45df-8906-3ca0e4518ef0",
 CellID->344392230],
Cell[CellGroupData[{
Cell[17002, 465, 350, 8, 43, "Input",ExpressionUUID->"3a2e8824-06ea-4463-baf5-8f819bbc8400",
 CellID->83652903],
Cell[17355, 475, 484, 16, 35, "Output",ExpressionUUID->"d59d34f0-f576-4a20-9535-1876f284ef57",
 CellID->364417381],
Cell[17842, 493, 126, 2, 35, "Output",ExpressionUUID->"f98953bc-75ac-457d-86af-b19465eef6de",
 CellID->135381231]
}, Open  ]],
Cell[17983, 498, 204, 4, 38, "ExampleText",ExpressionUUID->"35e3ac01-ab77-4277-8ccf-e3d7bd08088e",
 CellID->45111845],
Cell[CellGroupData[{
Cell[18212, 506, 208, 5, 70, "Input",ExpressionUUID->"2319fa0b-88eb-4b3e-a864-1ea98bf25fe0",
 CellID->178973206],
Cell[18423, 513, 268, 8, 35, "Output",ExpressionUUID->"b9a1a86c-b8b8-4cf7-896c-83fba836a5d4",
 CellID->47870647]
}, Open  ]],
Cell[CellGroupData[{
Cell[18728, 526, 242, 5, 70, "ExampleDelimiter",ExpressionUUID->"769b4168-dfd9-465e-9f97-76ca9b6a0c4a",
 CellID->337189816],
Cell[18973, 533, 209, 4, 70, "ExampleText",ExpressionUUID->"5d90dd45-2dff-4f82-a035-f8cf5976fa1f",
 CellID->29602772],
Cell[CellGroupData[{
Cell[19207, 541, 1434, 41, 70, "Input",ExpressionUUID->"20e20bcd-aaca-42b6-a28d-7e4ac4e07248",
 CellID->203761008],
Cell[20644, 584, 512, 17, 35, "Output",ExpressionUUID->"f42c06e0-c073-40db-a607-5ae4a9e02dc6",
 CellID->504598239]
}, Open  ]],
Cell[21171, 604, 236, 4, 70, "ExampleText",ExpressionUUID->"17107d9b-2e45-436d-b7e5-da8a9cd0c4e6",
 CellID->6159788],
Cell[CellGroupData[{
Cell[21432, 612, 273, 5, 70, "Input",ExpressionUUID->"a90ec13f-7fee-428b-add3-3fe7503907c7",
 CellID->307140221],
Cell[21708, 619, 812, 25, 35, "Output",ExpressionUUID->"e009de48-282e-4fec-b3e4-6db2c7c2f84f",
 CellID->416826227]
}, Open  ]],
Cell[22535, 647, 235, 4, 70, "ExampleText",ExpressionUUID->"81b28fec-6678-4617-a8b8-1cae5d95bb46",
 CellID->316697801],
Cell[CellGroupData[{
Cell[22795, 655, 327, 10, 70, "Input",ExpressionUUID->"b469bf98-a7a9-4bec-94c8-dc198b88f339",
 CellID->131099423],
Cell[23125, 667, 191, 4, 35, "Output",ExpressionUUID->"7ffd3fc5-8025-42b1-a690-46ca398415c1",
 CellID->609644804]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[23365, 677, 240, 5, 70, "ExampleDelimiter",ExpressionUUID->"6cb681ea-a0c0-40cf-a063-fb0ab93dbe69",
 CellID->4410799],
Cell[23608, 684, 188, 4, 70, "ExampleText",ExpressionUUID->"c10f41e1-17f5-4226-805c-c8fca8876ecf",
 CellID->525215179],
Cell[CellGroupData[{
Cell[23821, 692, 2492, 72, 70, "Input",ExpressionUUID->"a773b96f-97a9-45df-a01b-8b4b25c009ab",
 CellID->437977129],
Cell[26316, 766, 26274, 436, 446, "Output",ExpressionUUID->"82cad0e5-6e97-4181-b88a-362e7388bb7a",
 CellTags->"RasterizedOutput",
 CellID->435018152]
}, Open  ]],
Cell[52605, 1205, 505, 11, 70, "ExampleText",ExpressionUUID->"25797daf-16ec-4bae-8a04-d0530b860b4a",
 CellID->11807966],
Cell[CellGroupData[{
Cell[53135, 1220, 374, 10, 70, "Input",ExpressionUUID->"52638f37-b9df-4ac7-9208-a2d419711311",
 CellID->482655515],
Cell[53512, 1232, 663, 19, 78, "Output",ExpressionUUID->"1bcdb37e-0774-495e-963f-d01c44194dad",
 CellID->975974]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[54224, 1257, 242, 5, 70, "ExampleDelimiter",ExpressionUUID->"8c6445a1-eeae-44c0-8db2-9756a452bea4",
 CellID->107926830],
Cell[54469, 1264, 180, 3, 70, "ExampleText",ExpressionUUID->"8816f403-837f-4157-96f6-b822bbeaf192",
 CellID->261529272],
Cell[CellGroupData[{
Cell[54674, 1271, 1658, 46, 70, "Input",ExpressionUUID->"bdc63fcd-5e3b-4afa-9978-6a4ddd33a8d8",
 CellID->250371063],
Cell[56335, 1319, 2200, 63, 35, "Output",ExpressionUUID->"7f1c62b2-9cf5-48f5-9830-1232c52f4412",
 CellID->119230676]
}, Open  ]],
Cell[58550, 1385, 408, 10, 70, "ExampleText",ExpressionUUID->"0a6d7991-e83c-41da-9f1b-aeee276e9b09",
 CellID->196888979],
Cell[CellGroupData[{
Cell[58983, 1399, 347, 9, 70, "Input",ExpressionUUID->"baccfee9-1897-47ce-a8ac-a162f51692ed",
 CellID->399470462],
Cell[59333, 1410, 599, 15, 35, "Output",ExpressionUUID->"fd6174ae-2fbb-4cb0-b6cc-2791dc064da2",
 CellID->562662727]
}, Open  ]],
Cell[59947, 1428, 231, 4, 70, "ExampleText",ExpressionUUID->"07709bd0-e8b5-41e4-8891-de0f4ea9f4cf",
 CellID->883638537],
Cell[CellGroupData[{
Cell[60203, 1436, 1902, 55, 70, "Input",ExpressionUUID->"04cedd4e-fc8c-4354-b270-5adcf031daa1",
 CellID->8167165],
Cell[62108, 1493, 1858, 59, 53, "Output",ExpressionUUID->"4149baa7-6af3-4d58-8c24-5356cbd8c969",
 CellID->112655723]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64015, 1558, 242, 5, 70, "ExampleDelimiter",ExpressionUUID->"0d888d76-3671-49ff-95c1-a5d152e31a6b",
 CellID->183547234],
Cell[64260, 1565, 340, 12, 70, "ExampleText",ExpressionUUID->"a3b6ae64-155a-487f-b22c-7912bc680814",
 CellID->173983053],
Cell[CellGroupData[{
Cell[64625, 1581, 1711, 49, 70, "Input",ExpressionUUID->"386662ea-480f-4304-858e-9c389ba20370",
 CellID->22480244],
Cell[66339, 1632, 718, 22, 53, "Output",ExpressionUUID->"ee721ce0-f7b0-4734-8120-f9195d66b0a6",
 CellID->110094257]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67106, 1660, 242, 5, 70, "ExampleDelimiter",ExpressionUUID->"d1413394-aa37-48c6-b95f-f382cd6be264",
 CellID->167678147],
Cell[67351, 1667, 220, 4, 70, "ExampleText",ExpressionUUID->"586b3b36-e529-4ec9-a262-a0069a0d0b05",
 CellID->249036679],
Cell[CellGroupData[{
Cell[67596, 1675, 1599, 41, 70, "Input",ExpressionUUID->"3019b431-723d-413d-8394-ef57bf394943",
 CellID->672760807],
Cell[69198, 1718, 726, 25, 35, "Output",ExpressionUUID->"c9be6b0e-7530-4a52-a83c-84806b99bd81",
 CellID->53044803],
Cell[69927, 1745, 2497, 46, 52, "Output",ExpressionUUID->"a27e6019-75be-4b08-80d3-123be2ba0d86",
 CellTags->"RasterizedOutput",
 CellID->372052940]
}, Open  ]],
Cell[72439, 1794, 753, 18, 70, "ExampleText",ExpressionUUID->"c7f2616a-1923-4c8a-8c74-42c811fb43b2",
 CellID->103604256],
Cell[CellGroupData[{
Cell[73217, 1816, 278, 7, 70, "Input",ExpressionUUID->"c1a84189-c2b8-40f0-8da7-78a3ac468710",
 CellID->35217365],
Cell[73498, 1825, 839, 21, 108, "Output",ExpressionUUID->"63fdf9db-935f-4bff-b6e6-4df338276623",
 CellID->93617792]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[74376, 1851, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"8ee153d1-1136-4e4d-88ae-8c09b18aa3b3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74499, 1856, 260, 7, 70, "SeeAlsoSection",ExpressionUUID->"7a84a44a-7e8d-4b9d-9412-370c722577ba",
 CellID->1255426704],
Cell[74762, 1865, 1532, 39, 70, "SeeAlso",ExpressionUUID->"2359ed11-244e-481b-bd2f-8042e8a997d6",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[76331, 1909, 262, 7, 70, "TutorialsSection",ExpressionUUID->"24bb8520-d97d-4279-bd8b-77679221df93",
 CellID->250839057],
Cell[76596, 1918, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"f8e001ff-79ca-42e7-96da-a8b3fbfee1dd"],
Cell[76685, 1920, 241, 5, 70, "Tutorials",ExpressionUUID->"7ce7e72b-f633-48ad-9c35-ca8ad5c5c0d5",
 CellID->341631938],
Cell[76929, 1927, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"afd61a07-574b-4540-9832-e24c2f85f246"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77052, 1932, 266, 7, 70, "MoreAboutSection",ExpressionUUID->"80c0bcc6-552a-4c26-876b-dcefafe13a44",
 CellID->38303248],
Cell[77321, 1941, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"62ab6b23-73a4-4768-8776-fabef0c7163b"],
Cell[77410, 1943, 263, 6, 70, "MoreAbout",ExpressionUUID->"0f50938b-77d4-474e-afc4-ef46c9550610",
 CellID->61180971]
}, Open  ]],
Cell[77688, 1952, 78, 0, 70, "FooterCell",ExpressionUUID->"a842b68a-50dc-4821-95f3-450a021723f7"]
}
]
*)

(* End of internal cache information *)

