(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     29921,        871]
NotebookOptionsPosition[     23989,        744]
NotebookOutlinePosition[     26253,        802]
CellTagsIndexPosition[     26168,        797]
WindowTitle->DominantWeights
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "6a5597eb-941f-446c-b1fd-0589626c0d5f"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"18436f64-1fe5-4861-bd44-369f5b0575a0"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "8db5bfdc-8d0f-4b70-af47-d375ade62b8a"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"5dbaf978-fd1f-4acd-aeb3-99a6924b0d41"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/DominantWeights\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/DominantWeights"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
DominantWeights.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$15838], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/DominantWeights", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "b1e257c4-1d39-4db9-bfa2-6b7fed5771be"]
    }], "AnchorBar",ExpressionUUID->"66b4554d-0ee9-482c-b584-bfe0aca9235d"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"f3e60c10-6990-4a69-b609-f9cf9ab5c73e"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["DominantWeights", "ObjectName",ExpressionUUID->
  "636ad9fc-6694-484f-ac13-aa9b7e8450ec"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"83e302ad-0838-4d4c-a0e6-ce22b294c8d6"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "918cf85e-426f-476c-a1e4-76728885f389"]
}], "ObjectNameGrid",ExpressionUUID->"36d7bfc6-5af1-4c31-b04c-e9f6d2a76fab"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"DominantWeights", "[", 
       RowBox[{"group", ",", " ", "representation"}], "]"}]], "InlineFormula",
      ExpressionUUID->"495257bc-d769-4a2d-aaa2-f444c1927923"],
     " \[LineSeparator]Calculates the dominant weights of the representation \
of a simple Lie group"
    }],ExpressionUUID->"ffb5745a-fdce-466b-8e50-94a8210b12f2"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"9fd20cd0-c1a3-4ab6-ac66-25c20706b41d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"be5326a1-bab1-4ab8-81ea-8cac28f3f282"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"7e8fab74-8666-4d5c-9fd9-000586d859f2"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"17666235-49c6-49f7-bf5b-85a417d58cba"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->12236260,ExpressionUUID->"4c7474d4-42d0-4197-92ca-9b9af40e5f92"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"0864bbea-db9a-4ba4-bc4b-ec017d3c2968"],

Cell[TextData[{
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "20b04868-98f7-4f11-bfc8-8313e4e5fd98"],
 " should a ",
 ButtonBox["Cartan matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet:Susyno/ref/CartanMatrix"]
}], "Notes",
 CellID->389226166,ExpressionUUID->"d1bc7317-7067-454e-ab2f-07215bb44774"],

Cell[TextData[{
 "The input ",
 Cell[BoxData[
 "representation"], "InlineFormula",ExpressionUUID->
  "8cd49379-a20a-48e4-b081-0233a6f4b985"],
 " should be a list of non-negative integers (Dynkin coefficients).  It is \
also possible to use the simplified input format for representations (see the \
",
 ButtonBox["GroupMath tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/tutorial/GroupMathDoc"],
 " page)."
}], "Notes",
 CellID->702908051,ExpressionUUID->"9e473e98-9021-4742-b188-2be92d514e80"],

Cell["\<\
The dominant weights are those whose Dynkin coefficients are all non-negative.\
\>", "Notes",
 CellID->1067943069,ExpressionUUID->"efac4fc8-4d34-4998-9e25-a94d7d207010"],

Cell[TextData[{
 "Ignoring the ordering of the list elements in the result, the output of The \
result of ",
 Cell[BoxData[
 "DominantWeights"], "InlineFormula",ExpressionUUID->
  "ca45eb7d-af30-4e8b-b80e-fd841297cb89"],
 " is the same as ",
 Cell[BoxData[
  RowBox[{"Cases", "[", 
   RowBox[{
    RowBox[{"Weights", "[", 
     RowBox[{"group", ",", "representation"}], "]"}], ",", 
    RowBox[{"x_", "/;", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
      RowBox[{"Abs", "[", 
       RowBox[{"x", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}]}], "]"}]], "InlineFormula",
  ExpressionUUID->"9645497a-64f7-4c85-87aa-a4761aea5518"],
 "."
}], "Notes",
 CellID->185850537,ExpressionUUID->"a5d0a2fc-3db6-456b-8995-361e13371bda"],

Cell["\<\
The output consists of a list with the dominant weights and their \
multiplicity.\
\>", "Notes",
 CellID->110302253,ExpressionUUID->"d69149ab-5d8c-4fd1-9b2a-0dd8abe89ad1"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"76addb96-4875-4b79-9401-7e9245f062ec"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"5b768049-53bf-4b37-9395-c683b6d3694f"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "caa91393-6106-4bd6-aa23-a61ac9da453d"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->62300014,ExpressionUUID->"320670e9-f516-48f7-b9f4-5a976b3cbc78"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "a2257ffa-871a-438b-ab95-8985c7350fab"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->578266320,ExpressionUUID->"0a1a7ba7-7abc-4b25-9119-8a34e7a830e6"],

Cell["\<\
Calculate all dominant weights (including multiplicity) of the representation \
{0,1,2,0,1} of SO(10):\
\>", "ExampleText",
 CellID->615511182,ExpressionUUID->"4baf41ca-0d93-4b7e-b5f7-db769c1c60d8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dominantWeights1", "=", 
  RowBox[{"DominantWeights", "[", 
   RowBox[{"SO10", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "2", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->551940360,ExpressionUUID->"fc520083-5885-442f-a4f6-fcba749548bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "0", ",", "1"}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "3", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "1", ",", "2"}], "}"}], ",", 
     "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "2", ",", "1", ",", "0"}], "}"}], ",", 
     "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "2", ",", "1"}], "}"}], ",", 
     "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "0", ",", "3"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "37"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "57"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "2", ",", "3"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "2", ",", "1"}], "}"}], ",", 
     "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "3"}], "}"}], ",", 
     "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2", ",", "0", ",", "1"}], "}"}], ",", 
     "21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "13"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "30"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "47"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "73"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "2", ",", "1"}], "}"}], ",", 
     "70"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "3"}], "}"}], ",", 
     "48"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     "116"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "174"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "268"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "106"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "181"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "271"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "412"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "616"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "910"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->225379626,ExpressionUUID->"ee91138b-fcae-41c4-8bbc-6a1bce77677f"]
}, Open  ]],

Cell["\<\
The results should coincide with the following code which calculates all \
weights, and selects only those with non-negative Dynkin coefficients.\
\>", "ExampleText",
 CellID->572757462,ExpressionUUID->"44bc4640-09f5-4eb4-8239-ca9ea921455e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dominantWeights2", "=", 
  RowBox[{"Cases", "[", 
   RowBox[{
    RowBox[{"Weights", "[", 
     RowBox[{"SO10", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2", ",", "0", ",", "1"}], "}"}]}], "]"}], 
    ",", 
    RowBox[{"x_", "/;", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
      RowBox[{"Abs", "[", 
       RowBox[{"x", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->9155974,ExpressionUUID->"6f959f1f-0123-4ddb-af3b-d064caf836e7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "910"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "616"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "412"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "271"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "181"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "106"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "268"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "174"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     "116"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "3"}], "}"}], ",", 
     "48"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "2", ",", "1"}], "}"}], ",", 
     "70"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "73"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "47"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "30"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "13"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2", ",", "0", ",", "1"}], "}"}], ",", 
     "21"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "3"}], "}"}], ",", 
     "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "2", ",", "1"}], "}"}], ",", 
     "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "2", ",", "3"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "57"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "37"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "23"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0", ",", "3", ",", "0"}], "}"}], ",", 
     "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "0", ",", "3"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "2", ",", "1"}], "}"}], ",", 
     "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "2", ",", "1", ",", "0"}], "}"}], ",", 
     "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "1", ",", "2"}], "}"}], ",", 
     "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "3", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0", ",", "1", ",", "2"}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "0", ",", "1"}], "}"}], ",", 
     "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->247962231,ExpressionUUID->"abdc7a8e-e3c7-4b8b-806b-c5530093a002"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sort", "[", "dominantWeights1", "]"}], "\[Equal]", 
  RowBox[{"Sort", "[", "dominantWeights2", "]"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->518829619,ExpressionUUID->"71ee0282-64c3-4d8c-889c-887f9ad12e01"],

Cell[BoxData["True"], "Output",
 CellLabel->"Out[3]=",
 CellID->18855166,ExpressionUUID->"430c977e-bed4-4f73-9254-8332c6eb51bf"]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"f0018739-5923-4f0b-bccd-eb2c3e753f06"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"f7a274c7-86f5-4a56-a9df-6046d3ec706e"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"6512f60a-a04b-4f65-b477-25815ad8cab3"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"fdfd7450-ee8b-4c1f-be7e-cb828d344b3e"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"f08943ed-f726-4b93-a457-cbe485302630"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"e12052a7-668d-4d7e-935f-415fa333fdbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"0dd48756-6a67-452e-bb4b-be71ab3aa9b6"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"00ae67e9-ec26-4df6-962a-cf576a06029b"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"a382724c-1e67-4a40-8aad-293845bb44f8"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Weights"]],"paclet:ref/Weights"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "6c74c8ff-9b73-4cbf-a32c-85ce395591ac"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["DominantConjugate"]],"paclet:GroupMath/ref/DominantConjugate"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "3e5849d0-1dd9-4297-9d59-24b05175e93d"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ReflectWeight"]],"paclet:GroupMath/ref/ReflectWeight"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "1455f0d4-0aa9-47c2-abd8-5efb2985508c"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["WeylOrbit"]],"paclet:GroupMath/ref/WeylOrbit"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "81520df0-5d0b-4a58-968c-c22cd822ce03"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"021f64c8-7b73-4a27-a8df-da0b430b1ae5"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"00feac8d-f713-4d70-92fa-3ab1cfb133bf"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DominantWeights",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 35.2953386}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "DominantWeights[group, representation] Calculates the dominant weights \
of the representation of a simple Lie group", "synonyms" -> {}, 
    "tabletags" -> {}, "title" -> "DominantWeights", "titlemodifier" -> "", 
    "windowtitle" -> "DominantWeights", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/DominantWeights", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[8246, 224, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"320670e9-f516-48f7-b9f4-5a976b3cbc78",
   CellTags->"PrimaryExamplesSection",
   CellID->62300014]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 25971, 790}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[587, 21, 3464, 77, 53, "AnchorBarGrid",ExpressionUUID->"f3e60c10-6990-4a69-b609-f9cf9ab5c73e",
 CellID->1],
Cell[CellGroupData[{
Cell[4076, 102, 400, 9, 52, "ObjectNameGrid",ExpressionUUID->"36d7bfc6-5af1-4c31-b04c-e9f6d2a76fab"],
Cell[4479, 113, 588, 12, 110, "Usage",ExpressionUUID->"9fd20cd0-c1a3-4ab6-ac66-25c20706b41d",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5104, 130, 854, 21, 37, "NotesSection",ExpressionUUID->"4c7474d4-42d0-4197-92ca-9b9af40e5f92",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->12236260],
Cell[5961, 153, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"0864bbea-db9a-4ba4-bc4b-ec017d3c2968"],
Cell[6050, 155, 406, 12, 70, "Notes",ExpressionUUID->"d1bc7317-7067-454e-ab2f-07215bb44774",
 CellID->389226166],
Cell[6459, 169, 511, 13, 70, "Notes",ExpressionUUID->"9e473e98-9021-4742-b188-2be92d514e80",
 CellID->702908051],
Cell[6973, 184, 179, 3, 70, "Notes",ExpressionUUID->"efac4fc8-4d34-4998-9e25-a94d7d207010",
 CellID->1067943069],
Cell[7155, 189, 781, 22, 70, "Notes",ExpressionUUID->"a5d0a2fc-3db6-456b-8995-361e13371bda",
 CellID->185850537],
Cell[7939, 213, 181, 4, 70, "Notes",ExpressionUUID->"d69149ab-5d8c-4fd1-9b2a-0dd8abe89ad1",
 CellID->110302253],
Cell[8123, 219, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"76addb96-4875-4b79-9401-7e9245f062ec"]
}, Closed]],
Cell[CellGroupData[{
Cell[8246, 224, 434, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"320670e9-f516-48f7-b9f4-5a976b3cbc78",
 CellTags->"PrimaryExamplesSection",
 CellID->62300014],
Cell[CellGroupData[{
Cell[8705, 239, 308, 7, 29, "ExampleSection",ExpressionUUID->"0a1a7ba7-7abc-4b25-9119-8a34e7a830e6",
 CellID->578266320],
Cell[9016, 248, 208, 4, 38, "ExampleText",ExpressionUUID->"4baf41ca-0d93-4b7e-b5f7-db769c1c60d8",
 CellID->615511182],
Cell[CellGroupData[{
Cell[9249, 256, 316, 8, 26, "Input",ExpressionUUID->"fc520083-5885-442f-a4f6-fcba749548bc",
 CellID->551940360],
Cell[9568, 266, 5214, 174, 180, "Output",ExpressionUUID->"ee91138b-fcae-41c4-8bbc-6a1bce77677f",
 CellID->225379626]
}, Open  ]],
Cell[14797, 443, 251, 4, 57, "ExampleText",ExpressionUUID->"44bc4640-09f5-4eb4-8239-ca9ea921455e",
 CellID->572757462],
Cell[CellGroupData[{
Cell[15073, 451, 587, 17, 26, "Input",ExpressionUUID->"6f959f1f-0123-4ddb-af3b-d064caf836e7",
 CellID->9155974],
Cell[15663, 470, 5214, 174, 180, "Output",ExpressionUUID->"abdc7a8e-e3c7-4b8b-806b-c5530093a002",
 CellID->247962231]
}, Open  ]],
Cell[CellGroupData[{
Cell[20914, 649, 246, 5, 70, "Input",ExpressionUUID->"71ee0282-64c3-4d8c-889c-887f9ad12e01",
 CellID->518829619],
Cell[21163, 656, 128, 2, 35, "Output",ExpressionUUID->"430c977e-bed4-4f73-9254-8332c6eb51bf",
 CellID->18855166]
}, Open  ]]
}, Open  ]],
Cell[21318, 662, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"f0018739-5923-4f0b-bccd-eb2c3e753f06"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21441, 667, 262, 7, 70, "TutorialsSection",ExpressionUUID->"6512f60a-a04b-4f65-b477-25815ad8cab3",
 CellID->250839057],
Cell[21706, 676, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"fdfd7450-ee8b-4c1f-be7e-cb828d344b3e"],
Cell[21795, 678, 241, 5, 70, "Tutorials",ExpressionUUID->"f08943ed-f726-4b93-a457-cbe485302630",
 CellID->341631938],
Cell[22039, 685, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"e12052a7-668d-4d7e-935f-415fa333fdbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22162, 690, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"00ae67e9-ec26-4df6-962a-cf576a06029b",
 CellID->1584193535],
Cell[22435, 699, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"a382724c-1e67-4a40-8aad-293845bb44f8"],
Cell[22524, 701, 1368, 38, 70, "SeeAlso",ExpressionUUID->"021f64c8-7b73-4a27-a8df-da0b430b1ae5",
 CellID->1038487239]
}, Open  ]],
Cell[23907, 742, 78, 0, 70, "FooterCell",ExpressionUUID->"00feac8d-f713-4d70-92fa-3ab1cfb133bf"]
}
]
*)

(* End of internal cache information *)

