(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25017,        687]
NotebookOptionsPosition[     18492,        551]
NotebookOutlinePosition[     20874,        610]
CellTagsIndexPosition[     20789,        605]
WindowTitle->LittlewoodRichardsonCoefficients
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "7e3a065c-1cae-457a-b5ec-282ff1adb958"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"a33f50bc-b02f-40ca-932c-92ecc0e82f33"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "aca29eda-bbd6-4ed7-9b63-14c94f4edeed"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"6544673c-62f4-4393-990e-526b38e76958"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->
         False], {"\<\"GroupMath/ref/LittlewoodRichardsonCoefficients\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/LittlewoodRichardsonCoefficients"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
LittlewoodRichardsonCoefficients.html"], StandardForm]], "Input", 
              TextClipboardType -> "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$20741], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/LittlewoodRichardsonCoefficients", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "81293102-20e9-4d79-bdba-986ee2ce44e7"]
    }], "AnchorBar",ExpressionUUID->"7f6416b9-b4e5-4dd9-b8a8-694f5631585c"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"aaa949f6-b374-43cc-ba26-bdf2b434067f"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["LittlewoodRichardsonCoefficients", "ObjectName",ExpressionUUID->
  "6fecb511-e839-4230-a323-cf2a49e68499"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"17c9fa1c-05f9-4b2a-8d9e-53be906b158b"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "8f2671c6-35eb-49bb-8853-dd40ff428a1f"]
}], "ObjectNameGrid",ExpressionUUID->"c01aa2b2-3af0-4317-bd21-8c2f6196fbe1"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"LittlewoodRichardsonCoefficients", "[", 
       RowBox[{"list", " ", "of", " ", "partitons"}], "]"}]], "InlineFormula",
      ExpressionUUID->"05df8ef3-31d1-4924-a340-028afac0d2a0"],
     " \[LineSeparator]Calculates the Littlewood-Richardson coefficients for \
the permutation group representations given as a list"
    }],ExpressionUUID->"55ac3e9c-7d07-43dd-98f7-91b633ed392d"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"632619ca-7f6f-40b6-b3bd-b12a8067a2ae"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"5bf5d0ce-204b-4570-8f52-17e245b68a26"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"fa8775a7-daf1-40a0-be43-c04cef2ab57c"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"c4f8a5d2-157b-48ab-a8ec-f2474fdeaf07"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->135794066,ExpressionUUID->"59d315a1-1840-4d23-9946-dd25d80074fb"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"8f0d1af6-4bf9-4e99-b04f-4d64843fcf2f"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"list", " ", "of", " ", "Sn", " ", "representations"}]], 
  "InlineFormula",ExpressionUUID->"4d480a3d-25e0-498b-a903-4b1f674a9481"],
 " must be a list of partitions {\[Lambda]1, \[Lambda]2,...} of natural \
numbers n1, n2, ..."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"303a24e5-763b-422e-81ae-2ae09abf1026"],

Cell[TextData[{
 "The Littlewood-Richardson coefficients can be interpreted in many different \
ways (see ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["here"]],
    "http://en.wikipedia.org/wiki/Littlewood%E2%80%93Richardson_rule#\
Littlewood%E2%80%93Richardson_coefficients"},
   "WebLink",
   BaseStyle->{"Notes"}]],ExpressionUUID->
  "4fa6bf62-4732-4ff2-8855-a2c15e31d09e"],
 " for details). On the them is the following: it provides the number of \
times that the product \[Lambda]1 x \[Lambda]2 x ... of Sn1 x Sn2 x ... is \
contained in each of the irreps of the larger group SN, with N=n1+n2+... \
components."
}], "Notes",
 CellID->231691174,ExpressionUUID->"e29c2197-206f-48c4-a98a-c0983329c5b1"],

Cell[TextData[{
 "This function is related to ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ReduceRepProduct"]],"paclet:GroupMath/ref/ReduceRepProduct"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "0a8da9b3-2a66-4cd7-a318-5b9ef30e52e1"],
 " applied to SU(n) Lie groups. On the other hand, it is also closelly \
related to ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CalculateSnBranchingRules"]],
    "paclet:GroupMath/ref/CalculateSnBranchingRules"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "04e87509-10eb-44e6-8b8e-25eb3c20f29d"],
 "."
}], "Notes",
 CellID->168134201,ExpressionUUID->"70412be9-70c7-4ca6-9f04-86fe2a2efaf1"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"6bcf125f-8f6f-4dee-80b5-03990a3e9b7b"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"68beebde-1aac-4dd2-85cb-ffbb3ce3de20"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "05947c8a-a178-420d-8f36-e1eadaa77928"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->174166373,ExpressionUUID->"44a9e74e-209e-43b0-bf0e-d0a367fbffde"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "d0e25180-62a0-4b32-8226-1ac09e311397"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->700585784,ExpressionUUID->"9e7691ef-99ef-4b13-98d2-51a22c5155ad"],

Cell[TextData[{
 "Consider the representation R={2,1} x {2, 2} of S3 x S4. This permutation \
group is a subgroup of S7, so we might want to know, for each of the irreps \
of S7, how many copies of the R sub-representation does it contain, if any. ",
 Cell[BoxData[
 "LittlewoodRichardsonCoefficients"], "InlineFormula",ExpressionUUID->
  "f78701e4-59c5-49ba-9fe2-18e8ffb7a288"],
 " provides us with the following answer:"
}], "ExampleText",
 CellID->329238481,ExpressionUUID->"d474c901-d683-457e-a6b3-98123c3564b8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LittlewoodRichardsonCoefficients", "[", "R", "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->250692952,ExpressionUUID->"52da26f6-672a-4f46-82fc-63e00400a0d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "2", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "2"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "3", ",", "1"}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "1", ",", "1"}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "}"}], ",", "1"}], "}"}]}],
   "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->679572197,ExpressionUUID->"01220d52-44fa-4fbb-91c3-d5e4fd1721be"]
}, Open  ]],

Cell[TextData[{
 "This output states that {4,3}, {4,2,1}, {3,2,2}, {3,3,1}, {3,2,1,1} and \
{2,2,2,1} all contain exactly once the R sub-representation. We could have \
found this information by using the function ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CalculateSnBranchingRules"]],
    "paclet:GroupMath/ref/CalculateSnBranchingRules"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "2c2afab8-690b-45eb-a932-803e14ee5fe8"],
 " to each of these S7 irreps:"
}], "ExampleText",
 CellID->339308793,ExpressionUUID->"1ffc6258-b140-4284-b14e-b8f168bc67a1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "3", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "2", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->115422392,ExpressionUUID->"f4e53ab3-dda1-4016-ada3-6ee507aa0a0b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->36462232,ExpressionUUID->"dd11272e-9520-4046-9259-43677eb3545c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->275813234,ExpressionUUID->"a47b0b5f-ee2e-4e08-99d2-06be8160d6d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->251382059,ExpressionUUID->"44516d91-ff7d-46bc-afa0-3ae371f482f0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->408125726,ExpressionUUID->"ae452e2e-631c-4ef8-9caa-0c8de1084082"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->262277817,ExpressionUUID->"7d231617-fade-495c-90f8-fa5d5e12fe84"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
  "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->468345992,ExpressionUUID->"0f7a6d16-d971-414a-a62c-715a7425a80b"]
}, Open  ]],

Cell["\<\
On the other hand, for example the irrep {5,2} of S7 does not contain R:\
\>", "ExampleText",
 CellID->864924527,ExpressionUUID->"7c7cd411-9a29-4723-a272-d4403e7423e5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"CalculateSnBranchingRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"5", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", "_"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->587792993,ExpressionUUID->"8c6718a9-8134-492b-9593-b31ed178c998"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellLabel->"Out[3]=",
 CellID->189978088,ExpressionUUID->"8cfe4c1a-7307-4f28-a171-65fa64557dc4"]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"3a43fa60-3c1b-440c-a846-6a3afb50099b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"64454dc4-258e-401e-9685-0df7f75eccfb"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"5b86c072-5007-4085-93c8-831924e6b027"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"7e63e1a5-efa2-4a2b-9fd8-e04b2b9c61ce"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"7dd45edd-2b97-46a9-af12-c5124e818ee0"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"2e58a2d9-0151-40b3-910c-ce4b5540d961"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"a7a5342d-7491-49ef-abcd-570db3f277e7"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"1c3c5f15-8109-4ef7-9102-1430fc5440b3"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"3deb995d-206a-4b59-82ad-8c3ebfa99a8a"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ReduceRepProduct"]],"paclet:GroupMath/ref/ReduceRepProduct"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "a1e7ec0e-81b9-445a-bae3-3d1c48b7d0f1"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CalculateSnBranchingRules"]],
    "paclet:GroupMath/ref/CalculateSnBranchingRules"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "d54601a6-bd19-47f7-9956-9cbbe6a33ab8"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"2bb55366-03fb-46f7-87cc-80e13bfac7a1"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"a5a890d4-544c-4c56-b936-f9bf2441da04"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"LittlewoodRichardsonCoefficients",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 19, 59.4209967}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "LittlewoodRichardsonCoefficients[list of partitons] Calculates the \
Littlewood-Richardson coefficients for the permutation group representations \
given as a list", "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "LittlewoodRichardsonCoefficients", "titlemodifier" -> "", "windowtitle" -> 
    "LittlewoodRichardsonCoefficients", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/LittlewoodRichardsonCoefficients", "WorkflowDockedCell" -> 
    ""}, "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[8167, 211, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"44a9e74e-209e-43b0-bf0e-d0a367fbffde",
   CellTags->"PrimaryExamplesSection",
   CellID->174166373]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 20591, 598}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[604, 21, 3568, 80, 53, "AnchorBarGrid",ExpressionUUID->"aaa949f6-b374-43cc-ba26-bdf2b434067f",
 CellID->1],
Cell[CellGroupData[{
Cell[4197, 105, 417, 9, 52, "ObjectNameGrid",ExpressionUUID->"c01aa2b2-3af0-4317-bd21-8c2f6196fbe1"],
Cell[4617, 116, 637, 12, 131, "Usage",ExpressionUUID->"632619ca-7f6f-40b6-b3bd-b12a8067a2ae",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5291, 133, 855, 21, 37, "NotesSection",ExpressionUUID->"59d315a1-1840-4d23-9946-dd25d80074fb",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->135794066],
Cell[6149, 156, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"8f0d1af6-4bf9-4e99-b04f-4d64843fcf2f"],
Cell[6238, 158, 357, 7, 70, "Notes",ExpressionUUID->"303a24e5-763b-422e-81ae-2ae09abf1026",
 CellID->1067943069],
Cell[6598, 167, 713, 16, 70, "Notes",ExpressionUUID->"e29c2197-206f-48c4-a98a-c0983329c5b1",
 CellID->231691174],
Cell[7314, 185, 727, 19, 70, "Notes",ExpressionUUID->"70412be9-70c7-4ca6-9f04-86fe2a2efaf1",
 CellID->168134201],
Cell[8044, 206, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"6bcf125f-8f6f-4dee-80b5-03990a3e9b7b"]
}, Closed]],
Cell[CellGroupData[{
Cell[8167, 211, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"44a9e74e-209e-43b0-bf0e-d0a367fbffde",
 CellTags->"PrimaryExamplesSection",
 CellID->174166373],
Cell[CellGroupData[{
Cell[8627, 226, 308, 7, 29, "ExampleSection",ExpressionUUID->"9e7691ef-99ef-4b13-98d2-51a22c5155ad",
 CellID->700585784],
Cell[8938, 235, 516, 9, 95, "ExampleText",ExpressionUUID->"d474c901-d683-457e-a6b3-98123c3564b8",
 CellID->329238481],
Cell[CellGroupData[{
Cell[9479, 248, 408, 11, 43, "Input",ExpressionUUID->"52da26f6-672a-4f46-82fc-63e00400a0d6",
 CellID->250692952],
Cell[9890, 261, 900, 30, 52, "Output",ExpressionUUID->"01220d52-44fa-4fbb-91c3-d5e4fd1721be",
 CellID->679572197]
}, Open  ]],
Cell[10805, 294, 603, 13, 77, "ExampleText",ExpressionUUID->"1ffc6258-b140-4284-b14e-b8f168bc67a1",
 CellID->339308793],
Cell[CellGroupData[{
Cell[11433, 311, 2059, 62, 107, "Input",ExpressionUUID->"f4e53ab3-dda1-4016-ada3-6ee507aa0a0b",
 CellID->115422392],
Cell[13495, 375, 358, 12, 35, "Output",ExpressionUUID->"dd11272e-9520-4046-9259-43677eb3545c",
 CellID->36462232],
Cell[13856, 389, 359, 12, 35, "Output",ExpressionUUID->"a47b0b5f-ee2e-4e08-99d2-06be8160d6d0",
 CellID->275813234],
Cell[14218, 403, 359, 12, 35, "Output",ExpressionUUID->"44516d91-ff7d-46bc-afa0-3ae371f482f0",
 CellID->251382059],
Cell[14580, 417, 359, 12, 35, "Output",ExpressionUUID->"ae452e2e-631c-4ef8-9caa-0c8de1084082",
 CellID->408125726],
Cell[14942, 431, 359, 12, 35, "Output",ExpressionUUID->"7d231617-fade-495c-90f8-fa5d5e12fe84",
 CellID->262277817],
Cell[15304, 445, 359, 12, 35, "Output",ExpressionUUID->"0f7a6d16-d971-414a-a62c-715a7425a80b",
 CellID->468345992]
}, Open  ]],
Cell[15678, 460, 178, 3, 70, "ExampleText",ExpressionUUID->"7c7cd411-9a29-4723-a272-d4403e7423e5",
 CellID->864924527],
Cell[CellGroupData[{
Cell[15881, 467, 412, 12, 70, "Input",ExpressionUUID->"8c6718a9-8134-492b-9593-b31ed178c998",
 CellID->587792993],
Cell[16296, 481, 143, 3, 35, "Output",ExpressionUUID->"8cfe4c1a-7307-4f28-a171-65fa64557dc4",
 CellID->189978088]
}, Open  ]]
}, Open  ]],
Cell[16466, 488, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"3a43fa60-3c1b-440c-a846-6a3afb50099b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16589, 493, 262, 7, 70, "TutorialsSection",ExpressionUUID->"5b86c072-5007-4085-93c8-831924e6b027",
 CellID->250839057],
Cell[16854, 502, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"7e63e1a5-efa2-4a2b-9fd8-e04b2b9c61ce"],
Cell[16943, 504, 241, 5, 70, "Tutorials",ExpressionUUID->"7dd45edd-2b97-46a9-af12-c5124e818ee0",
 CellID->341631938],
Cell[17187, 511, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"2e58a2d9-0151-40b3-910c-ce4b5540d961"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17310, 516, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"1c3c5f15-8109-4ef7-9102-1430fc5440b3",
 CellID->1584193535],
Cell[17583, 525, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"3deb995d-206a-4b59-82ad-8c3ebfa99a8a"],
Cell[17672, 527, 723, 19, 70, "SeeAlso",ExpressionUUID->"2bb55366-03fb-46f7-87cc-80e13bfac7a1",
 CellID->1038487239]
}, Open  ]],
Cell[18410, 549, 78, 0, 70, "FooterCell",ExpressionUUID->"a5a890d4-544c-4c56-b936-f9bf2441da04"]
}
]
*)

(* End of internal cache information *)

