(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18046,        482]
NotebookOptionsPosition[     12650,        362]
NotebookOutlinePosition[     14849,        419]
CellTagsIndexPosition[     14764,        414]
WindowTitle->PositiveRoots
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "02cb3ef0-0e13-47c9-a1ad-fff4f6ee1c74"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"72ccbeab-fcb6-4781-b14e-f64434f6f7d0"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "a927d41e-3e75-413b-9d9a-cc234247bbc2"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"57de7240-05e3-432a-9008-8acb269f7355"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/PositiveRoots\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/PositiveRoots"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
PositiveRoots.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$23360], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/PositiveRoots", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "904643ab-e2c2-4dd9-9f20-cf559287476d"]
    }], "AnchorBar",ExpressionUUID->"64fc9abe-5ac0-484a-a338-d36ed07738cd"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"5020c147-f87b-40ef-877e-78075bf96d50"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["PositiveRoots", "ObjectName",ExpressionUUID->
  "1aaa83b7-a1f2-4cff-8494-a17f956a0495"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"c8546f3f-c8a3-4ff9-a43f-f1ee32c0cf18"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "f9197411-c7e5-41e0-8ebc-bb731ac3a9af"]
}], "ObjectNameGrid",ExpressionUUID->"4295b363-ce40-4de0-9eb9-c342c9fa3928"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"PositiveRoots", "[", "group", "]"}]], "InlineFormula",
      ExpressionUUID->"2b813d5e-b797-438f-a7f0-823df5d5eb8b"],
     " \[LineSeparator]Computes the positive roots of ",
     Cell[BoxData[
     "group"], "InlineFormula",ExpressionUUID->
      "7d0bba57-320c-44af-97c6-d931dc9f7c48"]
    }],ExpressionUUID->"351f6e09-d887-481e-b850-f49fc322671f"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"31575dff-c804-4baa-bbfb-86b423954486"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"fabd43a3-5c7d-444e-a64e-b4ff1647fac9"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"f70a8a46-b75e-41cb-9b26-832dedbc00aa"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"a1cf8d33-ea14-4931-9184-2ba384ab88a8"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->93919424,ExpressionUUID->"bb515e02-8f8a-4b36-b99a-c461c594e543"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"95186395-4fa9-4b4f-8baa-15c21be52dbc"],

Cell[TextData[{
 Cell[BoxData[
 "group"], "InlineFormula",ExpressionUUID->
  "487c369f-cc92-48ed-b5c9-200953f16c9a"],
 " should be the ",
 ButtonBox["Cartan matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 " of the intended group."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"e7c5c9a7-5b11-40bc-9c28-12e218cd9699"],

Cell[TextData[{
 "The roots are given as Dynkin coefficients ",
 Cell[BoxData[
  RowBox[{"2", 
   FractionBox[
    RowBox[{
     RowBox[{"<", 
      RowBox[{"positive", " ", "root"}]}], ",", 
     RowBox[{
      SubscriptBox["\[Alpha]", "i"], ">"}]}], 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Alpha]", "i"]}], ",", 
     RowBox[{
      SubscriptBox["\[Alpha]", "i"], ">"}]}]]}]], "InlineFormula",
  ExpressionUUID->"30fb498a-5cdd-49a6-b88e-ed57a9faf156"],
 ". See a Lie Algebra book for more information."
}], "Notes",
 CellID->600864457,ExpressionUUID->"410040d0-acfc-46e4-817b-7300f2291297"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"4799c707-eeca-4950-a653-ef8ce0cb9d61"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"4591f5a0-57c9-4ea1-9766-f816a67dff58"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "ff93dcd1-67b8-4030-af71-8c26c3579a41"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->162688300,ExpressionUUID->"b6051031-1af7-478f-9f51-0cc544319e15"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "53ec2847-ef75-4ce9-98a6-2a737b097f91"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->117486392,ExpressionUUID->"7a847ad5-0e48-4065-b4bc-d2e418b9fcfb"],

Cell["SU(3) has 3 positive roots:", "ExampleText",
 CellID->90625990,ExpressionUUID->"1dee99a4-0568-4fa7-90ad-2b63387a0317"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PositiveRoots", "[", "SU3", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->204539992,ExpressionUUID->"c18fa330-90ff-416e-8385-5921b70439ac"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->13568069,ExpressionUUID->"0789cf05-398c-4be4-ab37-69526ea576c9"]
}, Open  ]],

Cell["\<\
Without going into details we can check two interesting facts. First, the \
'biggest' positive root is also the highest weight of the adjoint \
representation of the group. In practice this means that \
adjointRep=PositiveRoots[group][[-1]] (last positive root is the biggest):\
\>", "ExampleText",
 CellID->23607392,ExpressionUUID->"257b6466-2aee-40cf-8e41-d0a7b842a9c5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Print", "[", "\"\<Adjoint of SU(3):\>\"", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PositiveRoots", "[", "SU3", "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"-", "1"}], "]"}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->54710674,ExpressionUUID->"adf5da7f-5d93-440a-96e0-445cd47f518f"],

Cell[BoxData["\<\"Adjoint of SU(3):\"\>"], "Print",
 CellLabel->"During evaluation of In[168]:=",
 CellID->241830925,ExpressionUUID->"7f41ec2b-e616-4f60-b976-f14961ab35c4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1"}], "}"}]], "Output",
 CellLabel->"Out[2]=",
 CellID->38207750,ExpressionUUID->"e24b7c1e-1825-4a1d-8ea7-6c8ef1d48a34"]
}, Open  ]],

Cell["\<\
Another thing we can check is that the dimension of the algebra (=dimension \
of the adjoint representation) is equal to 2 #positive roots+#simple roots. \
In practice this means that dim(group)= 2 \
Length[PositiveRoots[group]]+Length[group]:\
\>", "ExampleText",
 CellID->63590369,ExpressionUUID->"ed87abbb-949d-444c-9094-5d462c95c6a5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dimG", "=", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"Length", "[", 
      RowBox[{"PositiveRoots", "[", "SU3", "]"}], "]"}]}], "+", 
    RowBox[{"Length", "[", "SU3", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<The SU(3) algebra has \>\"", ",", "dimG", " ", ",", 
     "\"\< elements\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dimG", "=", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"Length", "[", 
      RowBox[{"PositiveRoots", "[", "E7", "]"}], "]"}]}], "+", 
    RowBox[{"Length", "[", "E7", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<The E(7) algebra has \>\"", ",", "dimG", " ", ",", 
    "\"\< elements\>\""}], "]"}], ";"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->98902658,ExpressionUUID->"7535e629-e342-41aa-9c8e-5fc5df585829"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The SU(3) algebra has \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" elements\"\>"}],
  SequenceForm["The SU(3) algebra has ", 8, " elements"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[170]:=",
 CellID->207810697,ExpressionUUID->"14f6eb06-3a49-4132-9ebd-046e2188f240"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The E(7) algebra has \"\>", "\[InvisibleSpace]", "133", 
   "\[InvisibleSpace]", "\<\" elements\"\>"}],
  SequenceForm["The E(7) algebra has ", 133, " elements"],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[170]:=",
 CellID->30145809,ExpressionUUID->"483ebd04-0fd0-4182-b3dc-79078ea1b24c"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"81f70711-daad-4cc6-8d14-a2652955bf2a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"f7c2bb2b-3810-4d1d-b70a-10d9a5cc5ac1"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"5730f592-3726-4535-9089-b4603c4eadd2"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"d746128c-b114-43a0-b6d3-f574dd066f95"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"b1f66dea-fcae-43a1-9e6f-abb6ee26be17"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"1429453c-005e-45e6-a4fd-5cbf6a4820f0"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"PositiveRoots",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 20, 9.9131256}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "PositiveRoots[group] Computes the positive roots of group", 
    "synonyms" -> {}, "tabletags" -> {}, "title" -> "PositiveRoots", 
    "titlemodifier" -> "", "windowtitle" -> "PositiveRoots", "type" -> 
    "Symbol", "uri" -> "GroupMath/ref/PositiveRoots", "WorkflowDockedCell" -> 
    ""}, "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7148, 193, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"b6051031-1af7-478f-9f51-0cc544319e15",
   CellTags->"PrimaryExamplesSection",
   CellID->162688300]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 14566, 407}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[585, 21, 3456, 77, 53, "AnchorBarGrid",ExpressionUUID->"5020c147-f87b-40ef-877e-78075bf96d50",
 CellID->1],
Cell[CellGroupData[{
Cell[4066, 102, 398, 9, 52, "ObjectNameGrid",ExpressionUUID->"4295b363-ce40-4de0-9eb9-c342c9fa3928"],
Cell[4467, 113, 608, 13, 110, "Usage",ExpressionUUID->"31575dff-c804-4baa-bbfb-86b423954486",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5112, 131, 854, 21, 37, "NotesSection",ExpressionUUID->"bb515e02-8f8a-4b36-b99a-c461c594e543",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->93919424],
Cell[5969, 154, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"95186395-4fa9-4b4f-8baa-15c21be52dbc"],
Cell[6058, 156, 354, 10, 70, "Notes",ExpressionUUID->"e7c5c9a7-5b11-40bc-9c28-12e218cd9699",
 CellID->1067943069],
Cell[6415, 168, 607, 18, 70, "Notes",ExpressionUUID->"410040d0-acfc-46e4-817b-7300f2291297",
 CellID->600864457],
Cell[7025, 188, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"4799c707-eeca-4950-a653-ef8ce0cb9d61"]
}, Closed]],
Cell[CellGroupData[{
Cell[7148, 193, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"b6051031-1af7-478f-9f51-0cc544319e15",
 CellTags->"PrimaryExamplesSection",
 CellID->162688300],
Cell[CellGroupData[{
Cell[7608, 208, 308, 7, 29, "ExampleSection",ExpressionUUID->"7a847ad5-0e48-4065-b4bc-d2e418b9fcfb",
 CellID->117486392],
Cell[7919, 217, 124, 1, 38, "ExampleText",ExpressionUUID->"1dee99a4-0568-4fa7-90ad-2b63387a0317",
 CellID->90625990],
Cell[CellGroupData[{
Cell[8068, 222, 166, 3, 26, "Input",ExpressionUUID->"c18fa330-90ff-416e-8385-5921b70439ac",
 CellID->204539992],
Cell[8237, 227, 369, 12, 35, "Output",ExpressionUUID->"0789cf05-398c-4be4-ab37-69526ea576c9",
 CellID->13568069]
}, Open  ]],
Cell[8621, 242, 382, 6, 76, "ExampleText",ExpressionUUID->"257b6466-2aee-40cf-8e41-d0a7b842a9c5",
 CellID->23607392],
Cell[CellGroupData[{
Cell[9028, 252, 321, 8, 43, "Input",ExpressionUUID->"adf5da7f-5d93-440a-96e0-445cd47f518f",
 CellID->54710674],
Cell[9352, 262, 172, 2, 22, "Print",ExpressionUUID->"7f41ec2b-e616-4f60-b976-f14961ab35c4",
 CellID->241830925],
Cell[9527, 266, 170, 4, 35, "Output",ExpressionUUID->"e24b7c1e-1825-4a1d-8ea7-6c8ef1d48a34",
 CellID->38207750]
}, Open  ]],
Cell[9712, 273, 348, 6, 76, "ExampleText",ExpressionUUID->"ed87abbb-949d-444c-9094-5d462c95c6a5",
 CellID->63590369],
Cell[CellGroupData[{
Cell[10085, 283, 962, 28, 91, "Input",ExpressionUUID->"7535e629-e342-41aa-9c8e-5fc5df585829",
 CellID->98902658],
Cell[CellGroupData[{
Cell[11072, 315, 360, 7, 70, "Print",ExpressionUUID->"14f6eb06-3a49-4132-9ebd-046e2188f240",
 CellID->207810697],
Cell[11435, 324, 361, 7, 70, "Print",ExpressionUUID->"483ebd04-0fd0-4182-b3dc-79078ea1b24c",
 CellID->30145809]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[11835, 336, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"81f70711-daad-4cc6-8d14-a2652955bf2a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11958, 341, 262, 7, 70, "TutorialsSection",ExpressionUUID->"5730f592-3726-4535-9089-b4603c4eadd2",
 CellID->250839057],
Cell[12223, 350, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"d746128c-b114-43a0-b6d3-f574dd066f95"],
Cell[12312, 352, 241, 5, 70, "Tutorials",ExpressionUUID->"b1f66dea-fcae-43a1-9e6f-abb6ee26be17",
 CellID->341631938]
}, Open  ]],
Cell[12568, 360, 78, 0, 70, "FooterCell",ExpressionUUID->"1429453c-005e-45e6-a4fd-5cbf6a4820f0"]
}
]
*)

(* End of internal cache information *)

