(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25102,        663]
NotebookOptionsPosition[     19205,        536]
NotebookOutlinePosition[     21423,        594]
CellTagsIndexPosition[     21338,        589]
WindowTitle->SnIrrepDim
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "aa9df81a-6a4a-465c-8004-172a0fe60b65"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"2803a6a6-8e1f-45a2-8805-c7c45c6380a1"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "ad3089a2-b9a8-476b-8e8a-336170292436"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"6e470429-4472-4e2d-a92d-839072768440"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/SnIrrepDim\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/SnIrrepDim"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
SnIrrepDim.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$29737], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/SnIrrepDim", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "30dd3e67-9b8e-4749-9b7a-a01e959cac07"]
    }], "AnchorBar",ExpressionUUID->"6e50d50b-8074-4696-8fc1-704f6cf57e59"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"fe86de87-b666-40d7-9702-31dbae9ad2ed"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["SnIrrepDim", "ObjectName",ExpressionUUID->
  "138d7716-13f3-4544-8e68-6d957f6aebe1"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"73feb466-acfd-4ac4-88dd-2885c3aa2e6b"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "8e4a2b0d-896f-43d8-af2a-58156a363b4f"]
}], "ObjectNameGrid",ExpressionUUID->"40ce5321-d660-49b3-9e6e-ed3ae77ed27b"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"SnIrrepDim", "[", "representation", "]"}]], "InlineFormula",
      ExpressionUUID->"0c2eb942-6e65-416f-89db-af56718847de"],
     " \[LineSeparator]Calculates the dimension of a representation of the ",
     Cell[BoxData[
      SubscriptBox["S", "n"]], "InlineFormula",ExpressionUUID->
      "91c97e0f-450c-4a92-9775-4a5eeec5882f"],
     " group"
    }],ExpressionUUID->"cfa3b4ba-f0a7-40f0-9abc-e86ca6705f0a"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"655480b0-b1d9-46ad-8aa0-e7dd132d05de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"bd5d104f-98f3-4790-8f6f-3c5c52d8350b"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"1afff825-b60f-4dc7-b135-7f2892a7ea8c"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"c4ef034b-7518-40d7-ad3e-baaebb0f9f9b"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->613733589,ExpressionUUID->"08cbcc8c-0d3f-48ff-b534-9036952903b0"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"bf3c7038-1156-4f45-a9b5-5135f336517c"],

Cell[TextData[{
 Cell[BoxData[
 "representation"], "InlineFormula",ExpressionUUID->
  "d18e4cae-9463-40e9-aa4a-f2e8a1baa1c9"],
 " must be a partition of some integer n, as irreducible representations of  ",
 Cell[BoxData[
  SubscriptBox["S", "n"]], "InlineFormula",ExpressionUUID->
  "ef8f7791-fdeb-4cd9-87b3-0f841cbb1e48"],
 " are specified in this way;"
}], "Notes",
 CellID->1067943069,ExpressionUUID->"dbdf1622-cb99-4afa-90cf-94e66f7df5f2"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"SnIrrepDim", "[", "representation", "]"}]], "InlineFormula",
  ExpressionUUID->"502e32e5-c3e3-4b31-a37f-d615c5ce5338"],
 " gives the same result as ",
 Cell[BoxData[
  RowBox[{"SnClassCharacter", "[", 
   RowBox[{"representation", ",", " ", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", " ", "1", ",", " ", "\[CenterEllipsis]", ",", " ", "1"}], 
     "}"}]}], "]"}]], "InlineFormula",ExpressionUUID->
  "fe36ad9e-6110-484a-bcf1-0e7f8afbfa82"],
 ", even though the calculations performed are different (",
 Cell[BoxData[
 "SnIrrepDim"], "InlineFormula",ExpressionUUID->
  "70eaec2e-11e7-47c7-ad5d-f6adf1d94742"],
 " uses the Hook length formula)."
}], "Notes",
 CellID->213344018,ExpressionUUID->"43b43541-8ab7-4f55-b86f-e68415cbbef2"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"4edaf3e5-8a79-42f4-9044-afea04311718"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"5e346855-af5e-4be5-a991-3a3ca173cec9"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "78f4a5fc-0396-4e32-89f1-9374d8a4b5a6"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->420926236,ExpressionUUID->"a9438213-5ae1-4d17-a7a6-c8e48b1383cd"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "2efc05b5-0432-4b05-affc-a3a46cc7334e"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->295538342,ExpressionUUID->"89adca25-b716-4fa1-9ad5-0440f1784489"],

Cell[TextData[{
 Cell[BoxData[
  SubscriptBox["S", "3"]], "InlineFormula",ExpressionUUID->
  "dc2be725-0613-4de2-869b-134c57328030"],
 " has 3 irreducible representations: {3}, {2,1}, {1,1,1}. Their dimensions \
are the following:"
}], "ExampleText",
 CellID->32979335,ExpressionUUID->"55056ac3-3823-4225-be48-ed2be756d6a8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SnIrrepDim", "[", 
  RowBox[{"{", "3", "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SnIrrepDim", "[", 
  RowBox[{"{", 
   RowBox[{"2", ",", "1"}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SnIrrepDim", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->298933796,ExpressionUUID->"2dedf603-4f07-41eb-954a-b61203bf355b"],

Cell[BoxData["1"], "Output",
 CellLabel->"Out[1]=",
 CellID->757054953,ExpressionUUID->"f297c0cc-a314-405a-972a-ce8af8d1ad44"],

Cell[BoxData["2"], "Output",
 CellLabel->"Out[1]=",
 CellID->724357611,ExpressionUUID->"a96d9001-f00c-4da9-a543-3cf99aadcf6b"],

Cell[BoxData["1"], "Output",
 CellLabel->"Out[1]=",
 CellID->375031344,ExpressionUUID->"29d6faae-7265-4653-affe-8c9f67374224"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Neat Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount",ExpressionUUID->
  "abba1a06-11a5-4c6a-aa83-c8abbe9faf87"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->589267740,ExpressionUUID->"99f0cbac-7ccc-442e-a680-aac33e9c1605"],

Cell["\<\
Of any discrete group G,  the number of elements of G is the same as the sum \
of the squares of the sizes of its irreducible representations. If G is the \
permutation group Sn we know that it has n! elements, so we can check the \
above relation for, say, n=10:\
\>", "ExampleText",
 CellID->269953710,ExpressionUUID->"14f8c2a4-b636-4033-b34d-c966ba844f84"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"allSnIrreps", "=", 
  RowBox[{"IntegerPartitions", "[", "n", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sizes", "=", 
   RowBox[{"SnIrrepDim", "/@", "allSnIrreps"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"n", "!"}], ",", 
   RowBox[{"Total", "[", 
    RowBox[{"sizes", "^", "2"}], "]"}]}], "}"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->273370537,ExpressionUUID->"b2efd6c5-5a76-49b3-9ef2-381df3823074"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "10", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "2", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "4", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "2", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "2", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2", ",", "2", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->412298547,ExpressionUUID->"a11841eb-2857-4172-b066-37e8078a0feb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "9", ",", "35", ",", "36", ",", "75", ",", "160", ",", "84", ",", 
   "90", ",", "315", ",", "225", ",", "350", ",", "126", ",", "42", ",", 
   "288", ",", "450", ",", "567", ",", "525", ",", "448", ",", "126", ",", 
   "252", ",", "300", ",", "210", ",", "768", ",", "525", ",", "300", ",", 
   "567", ",", "350", ",", "84", ",", "210", ",", "252", ",", "450", ",", 
   "225", ",", "288", ",", "315", ",", "160", ",", "36", ",", "42", ",", "90",
    ",", "75", ",", "35", ",", "9", ",", "1"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->11745431,ExpressionUUID->"69e9ef9f-19ab-4f15-835e-86764fd0e537"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3628800", ",", "3628800"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->289971015,ExpressionUUID->"aa1a2b46-1439-4e81-960a-14fb4e5e2717"]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"96b10232-8410-4ac6-b9b9-427651461bb4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"2cabd1ff-39cc-46db-a553-c5e556e91869"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"4b1d9826-489e-43e8-bb02-c93daef14cde"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"01a9ce4b-c715-477a-afdc-3d46d86bc314"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"2d97c0a1-0052-4013-bb3a-17dd62536170"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"fb2e9ec4-3b99-44f0-b666-cf195b266c7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"381d83fe-75dc-4892-b346-b56651514a36"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"cb5afc18-16d0-4f2c-a1a8-876404953df1"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"9591d326-d1ce-49f5-af00-765858ee84b2"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["HookContentFormula"]],
    "paclet:GroupMath/ref/HookContentFormula"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "193b965c-9a1c-4b7a-b486-ad6945d57493"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["DecomposeSnProduct"]],
    "paclet:GroupMath/ref/DecomposeSnProduct"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "4e6841b0-b9e2-4196-b4b5-4029b861eaf6"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnClassCharacter"]],"paclet:GroupMath/ref/SnClassCharacter"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "3384d968-2c69-4147-b9c4-3e387b9c6bcc"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnClassOrder"]],"paclet:GroupMath/ref/SnClassOrder"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "ee02d0c4-34d6-4aa3-a8c9-3179cf09df5f"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SnIrrepGenerators"]],"paclet:GroupMath/ref/SnIrrepGenerators"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "2202a607-fba5-4932-81e1-5eefbc4d30c3"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CalculateSnBranchingRules"]],
    "paclet:GroupMath/ref/CalculateSnBranchingRules"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "62929931-9c4b-4e27-8675-b54029997538"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["LittlewoodRichardsonCoefficients"]],
    "paclet:GroupMath/ref/LittlewoodRichardsonCoefficients"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "adc6bfe5-b8a0-47f5-a5fa-7a0e71a07041"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"6c1624c3-29b1-467e-94ec-b70039a008a8"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"28c42f31-fc7d-4c3f-b83e-c1600c4f1eeb"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"SnIrrepDim",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 20, 37.3754701}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "SnIrrepDim[representation] Calculates the dimension of a representation \
of the Sn group", "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "SnIrrepDim", "titlemodifier" -> "", "windowtitle" -> "SnIrrepDim", 
    "type" -> "Symbol", "uri" -> "GroupMath/ref/SnIrrepDim", 
    "WorkflowDockedCell" -> ""}, "SearchTextTranslated" -> "", "NewStyles" -> 
  False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7450, 195, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"a9438213-5ae1-4d17-a7a6-c8e48b1383cd",
   CellTags->"PrimaryExamplesSection",
   CellID->420926236]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 21140, 582}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[582, 21, 3444, 77, 53, "AnchorBarGrid",ExpressionUUID->"fe86de87-b666-40d7-9702-31dbae9ad2ed",
 CellID->1],
Cell[CellGroupData[{
Cell[4051, 102, 395, 9, 52, "ObjectNameGrid",ExpressionUUID->"40ce5321-d660-49b3-9e6e-ed3ae77ed27b"],
Cell[4449, 113, 666, 14, 110, "Usage",ExpressionUUID->"655480b0-b1d9-46ad-8aa0-e7dd132d05de",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5152, 132, 855, 21, 37, "NotesSection",ExpressionUUID->"08cbcc8c-0d3f-48ff-b534-9036952903b0",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->613733589],
Cell[6010, 155, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"bf3c7038-1156-4f45-a9b5-5135f336517c"],
Cell[6099, 157, 444, 10, 70, "Notes",ExpressionUUID->"dbdf1622-cb99-4afa-90cf-94e66f7df5f2",
 CellID->1067943069],
Cell[6546, 169, 778, 19, 70, "Notes",ExpressionUUID->"43b43541-8ab7-4f55-b86f-e68415cbbef2",
 CellID->213344018],
Cell[7327, 190, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"4edaf3e5-8a79-42f4-9044-afea04311718"]
}, Closed]],
Cell[CellGroupData[{
Cell[7450, 195, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"a9438213-5ae1-4d17-a7a6-c8e48b1383cd",
 CellTags->"PrimaryExamplesSection",
 CellID->420926236],
Cell[CellGroupData[{
Cell[7910, 210, 308, 7, 29, "ExampleSection",ExpressionUUID->"89adca25-b716-4fa1-9ad5-0440f1784489",
 CellID->295538342],
Cell[8221, 219, 324, 7, 38, "ExampleText",ExpressionUUID->"55056ac3-3823-4225-be48-ed2be756d6a8",
 CellID->32979335],
Cell[CellGroupData[{
Cell[8570, 230, 418, 10, 59, "Input",ExpressionUUID->"2dedf603-4f07-41eb-954a-b61203bf355b",
 CellID->298933796],
Cell[8991, 242, 126, 2, 35, "Output",ExpressionUUID->"f297c0cc-a314-405a-972a-ce8af8d1ad44",
 CellID->757054953],
Cell[9120, 246, 126, 2, 35, "Output",ExpressionUUID->"a96d9001-f00c-4da9-a543-3cf99aadcf6b",
 CellID->724357611],
Cell[9249, 250, 126, 2, 35, "Output",ExpressionUUID->"29d6faae-7265-4653-affe-8c9f67374224",
 CellID->375031344]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9424, 258, 307, 7, 29, "ExampleSection",ExpressionUUID->"99f0cbac-7ccc-442e-a680-aac33e9c1605",
 CellID->589267740],
Cell[9734, 267, 369, 6, 70, "ExampleText",ExpressionUUID->"14f8c2a4-b636-4033-b34d-c966ba844f84",
 CellID->269953710],
Cell[CellGroupData[{
Cell[10128, 277, 563, 15, 70, "Input",ExpressionUUID->"b2efd6c5-5a76-49b3-9ef2-381df3823074",
 CellID->273370537],
Cell[10694, 294, 3774, 103, 148, "Output",ExpressionUUID->"a11841eb-2857-4172-b066-37e8078a0feb",
 CellID->412298547],
Cell[14471, 399, 661, 11, 68, "Output",ExpressionUUID->"69e9ef9f-19ab-4f15-835e-86764fd0e537",
 CellID->11745431],
Cell[15135, 412, 183, 4, 35, "Output",ExpressionUUID->"aa1a2b46-1439-4e81-960a-14fb4e5e2717",
 CellID->289971015]
}, Open  ]]
}, Closed]],
Cell[15345, 420, 86, 0, 29, "SectionFooterSpacer",ExpressionUUID->"96b10232-8410-4ac6-b9b9-427651461bb4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15468, 425, 262, 7, 72, "TutorialsSection",ExpressionUUID->"4b1d9826-489e-43e8-bb02-c93daef14cde",
 CellID->250839057],
Cell[15733, 434, 86, 0, 14, "SectionHeaderSpacer",ExpressionUUID->"01a9ce4b-c715-477a-afdc-3d46d86bc314"],
Cell[15822, 436, 241, 5, 24, "Tutorials",ExpressionUUID->"2d97c0a1-0052-4013-bb3a-17dd62536170",
 CellID->341631938],
Cell[16066, 443, 86, 0, 29, "SectionFooterSpacer",ExpressionUUID->"fb2e9ec4-3b99-44f0-b666-cf195b266c7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16189, 448, 270, 7, 72, "RelatedLinksSection",ExpressionUUID->"cb5afc18-16d0-4f2c-a1a8-876404953df1",
 CellID->1584193535],
Cell[16462, 457, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"9591d326-d1ce-49f5-af00-765858ee84b2"],
Cell[16551, 459, 2557, 72, 70, "SeeAlso",ExpressionUUID->"6c1624c3-29b1-467e-94ec-b70039a008a8",
 CellID->1038487239]
}, Open  ]],
Cell[19123, 534, 78, 0, 70, "FooterCell",ExpressionUUID->"28c42f31-fc7d-4c3f-b83e-c1600c4f1eeb"]
}
]
*)

(* End of internal cache information *)

