(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22570,        604]
NotebookOptionsPosition[     16163,        468]
NotebookOutlinePosition[     18513,        527]
CellTagsIndexPosition[     18428,        522]
WindowTitle->TypeOfRepresentation
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["GROUP MATH SYMBOL", "PacletNameCell",ExpressionUUID->
     "1bc5dfde-d22b-4fca-b470-a5af596cc670"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"d8cccfcf-9697-4a31-a224-e4d9dd2e3fb6"],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath Tutorial\"\>":>
       Documentation`HelpLookup["paclet:GroupMath/tutorial/GroupMathDoc"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "314ece4a-6d0f-4a68-b03f-877c9595645b"],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }],ExpressionUUID->"38641a80-f40b-4129-8f2d-76441e84c823"],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"GroupMath/ref/TypeOfRepresentation\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["GroupMath/ref/TypeOfRepresentation"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/GroupMath/ref/\
TypeOfRepresentation.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$32869], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "GroupMath/ref/TypeOfRepresentation", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0},ExpressionUUID->
      "ac004590-69b0-49be-b940-74135984c60e"]
    }], "AnchorBar",ExpressionUUID->"31b28bb7-efd9-4023-99dc-49a252a42c17"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1,ExpressionUUID->"a2db8215-0e79-4e3e-b406-a9fa92b9f57e"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell["TypeOfRepresentation", "ObjectName",ExpressionUUID->
  "745c5ca4-1ec1-45f6-9c4f-5378f1e4ce72"],
 Cell[BoxData[
  TemplateBox[{8},
   "Spacer1"]],ExpressionUUID->"55efd934-4a54-4073-9bbf-6f74fc64e87d"],
 Cell[BoxData[
 ""], "ObjectNameTranslation",ExpressionUUID->
  "91f01f46-c7f3-4181-927e-4796832746b2"]
}], "ObjectNameGrid",ExpressionUUID->"67775cf2-a609-40d6-8029-13c73c1daa16"],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"TypeOfRepresentation", "[", 
       RowBox[{
        RowBox[{"simple", " ", "gauge", " ", "group"}], ",", 
        "representation"}], "]"}]], "InlineFormula",ExpressionUUID->
      "3f516149-f490-4cd4-b0c7-8370c4965291"],
     " \[LineSeparator]Indicates if the given ",
     Cell[BoxData[
     "representation"], "InlineFormula",ExpressionUUID->
      "256e10f7-c63b-4fe8-ba51-bd4be7b7f286"],
     " of the ",
     Cell[BoxData[
      RowBox[{"simple", " ", "gauge", " ", "group"}]], "InlineFormula",
      ExpressionUUID->"e4c01a22-2259-4237-9fb5-2d1c07c04397"],
     " is real (",
     Cell[BoxData[
     "\"\<R\>\""], "InlineFormula",ExpressionUUID->
      "1e3ac17a-eba3-402b-93e7-4eb6c755184b"],
     "), pseudo-real (",
     Cell[BoxData[
     "\"\<PR\>\""], "InlineFormula",ExpressionUUID->
      "6d948756-819b-4c81-93ce-aed024f22a9c"],
     ") or complex (",
     Cell[BoxData[
     "\"\<C\>\""], "InlineFormula",ExpressionUUID->
      "31e91e23-105b-4bc7-87c8-4c3ed3b7fd34"],
     ")"
    }],ExpressionUUID->"eede9213-b040-4f9f-8f00-cf7238e97c88"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {{None}}}},
 CellID->982511436,ExpressionUUID->"58cf1156-a4fa-4d34-b5dd-43a11c5f64eb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    TemplateBox[{6},
     "Spacer1"]],ExpressionUUID->"341788e2-8219-4e3c-85b6-b0dbc6c9dccc"],
   "Details"
  }], "NotesFrameText",ExpressionUUID->"70732102-4ba2-405f-9560-c10e8ef6f146"],
  Appearance->{Automatic, None, "Normal", Automatic},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->
   "Preemptive"]],ExpressionUUID->"3cac9c37-63b5-4b6d-b14f-bb333a0ba86c"]], \
"NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->78877111,ExpressionUUID->"874fc7a5-93c9-49d0-9bfc-5e6e6ef224ce"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"ae8bc9af-ba32-4428-8cb0-40e44970b75b"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"simple", " ", "gauge", " ", "group"}]], "InlineFormula",
  ExpressionUUID->"7abfb911-7f22-4861-b30e-9745ddb8b1f3"],
 " should be a Cartan matrix (see ",
 ButtonBox["CartanMatrix",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/ref/CartanMatrix"],
 ")."
}], "Notes",
 CellID->1067943069,ExpressionUUID->"efea3306-f6fe-43bc-906b-c1067786df45"],

Cell[TextData[{
 Cell[BoxData[
 "representation"], "InlineFormula",ExpressionUUID->
  "6e386632-0917-4118-a482-01701523591f"],
 " should be a list of non-negative integers (Dynkin coefficients). It is \
also possible to use the simplified input format for representations (see the \
",
 ButtonBox["GroupMath tutorial",
  BaseStyle->"Link",
  ButtonData->"paclet:GroupMath/tutorial/GroupMathDoc"],
 " page)."
}], "Notes",
 CellID->83646499,ExpressionUUID->"cd769bfd-a611-422c-8c1d-3f50ed7c1871"],

Cell[TextData[{
 "A representation X is ",
 StyleBox["complex", "TI"],
 " if X and X* are not equivalent. The triplet of SU(3) is one such case.\
\[LineSeparator]A representation X is ",
 StyleBox["real", "TI"],
 " if it is possible to go to a basis where the representation matrices ",
 Cell[BoxData[
  SuperscriptBox["T", "a"]], "InlineFormula",ExpressionUUID->
  "5ffbd60c-1187-4dcf-9752-17566754fed0"],
 "(X) are real: ",
 Cell[BoxData[
  SuperscriptBox["T", "a"]], "InlineFormula",ExpressionUUID->
  "f4fcf5d2-f513-44d1-ba4d-c16eec6ade98"],
 "(X) =  ",
 Cell[BoxData[
  SuperscriptBox["T", "a"]], "InlineFormula",ExpressionUUID->
  "88a9286b-0920-4638-94aa-7bbc7c4a6a31"],
 "(X)*. The triplet of SU(2) is one such case.\[LineSeparator]A \
representation X is ",
 StyleBox["pseudo-real", "TI"],
 " if it is neither complex nor real. In other words, X is equivalent to X*, \
but there is no basis in which the representation matrices ",
 Cell[BoxData[
  SuperscriptBox["T", "a"]], "InlineFormula",ExpressionUUID->
  "ac4beb25-891c-4caa-9896-01a989273dc2"],
 "(X) are real. The doublet representation of SU(2) is one such case."
}], "Notes",
 CellID->2986264,ExpressionUUID->"598d4975-12b7-4d1d-88f6-e49ec7370278"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"bab82638-9323-494b-83eb-367cc06b2f39"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"700e1e5d-b6a0-45ec-8892-615280603e4a"],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "ca7c20d4-d09b-42c5-b912-3940befbeae4"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->179268980,ExpressionUUID->"ce2777f4-2bc4-4f1e-bd3c-2eb3f0078ded"],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount",ExpressionUUID->
  "4d1e3e64-4bb8-4e63-ab2b-7f944aaeaccb"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->166078870,ExpressionUUID->"9dadd0f9-0e19-495a-81fc-0dea3c9932ea"],

Cell["\<\
The doublet and triplet representations of SU(2) are pseudo-real and real, \
respectively:\
\>", "ExampleText",
 CellID->112390457,ExpressionUUID->"f5c2f98e-86a3-454b-926b-8526392f0122"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", "1", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"RepName", "[", 
    RowBox[{"SU2", ",", "rep"}], "]"}], ",", 
   RowBox[{"TypeOfRepresentation", "[", 
    RowBox[{"SU2", ",", "rep"}], "]"}]}], "}"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", "2", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"RepName", "[", 
    RowBox[{"SU2", ",", "rep"}], "]"}], ",", 
   RowBox[{"TypeOfRepresentation", "[", 
    RowBox[{"SU2", ",", "rep"}], "]"}]}], "}"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->694008719,ExpressionUUID->"5c661c44-55ba-42d7-ae62-cad902e6efc5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\<\"2\"\>",
    StripOnInput->False,
    FontWeight->Bold], ",", "\<\"PR\"\>"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->166665548,ExpressionUUID->"66392672-4f22-4a93-83ab-8aab372787e2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\<\"3\"\>",
    StripOnInput->False,
    FontWeight->Bold], ",", "\<\"R\"\>"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->40101906,ExpressionUUID->"3a90246f-2b73-4b8f-85b9-89d24486008d"]
}, Open  ]],

Cell["\<\
One can also use the simplified input notation for representations:\
\>", "ExampleText",
 CellID->747111503,ExpressionUUID->"f14161c6-600c-46e5-9ee1-b7e5437d8601"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"TypeOfRepresentation", "[", 
  RowBox[{"SU2", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"TypeOfRepresentation", "[", 
  RowBox[{"SU2", ",", "3"}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->337206467,ExpressionUUID->"2b35eed0-ed18-4261-b6d5-77d3a05ba9e4"],

Cell[BoxData["\<\"PR\"\>"], "Output",
 CellLabel->"Out[2]=",
 CellID->134169486,ExpressionUUID->"105fc123-d84b-409a-bb6a-5426c36e181a"],

Cell[BoxData["\<\"R\"\>"], "Output",
 CellLabel->"Out[2]=",
 CellID->188771234,ExpressionUUID->"457079aa-c0fb-452b-b5c1-3888dc576120"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[
  "\t", "ExampleDelimiter",ExpressionUUID->
   "dce54ce5-e11d-4b2f-b5be-a2a9df051673"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->118301402,ExpressionUUID->"cae2985f-9418-4ca0-9ced-c443e4aa4e42"],

Cell["\<\
The triplet and octet representations of SU(2) are complex and real, \
respectively:\
\>", "ExampleText",
 CellID->215890321,ExpressionUUID->"deea6445-3c37-44b2-adc6-594e862c23a6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"RepName", "[", 
    RowBox[{"SU3", ",", "rep"}], "]"}], ",", 
   RowBox[{"TypeOfRepresentation", "[", 
    RowBox[{"SU3", ",", "rep"}], "]"}]}], "}"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"RepName", "[", 
    RowBox[{"SU3", ",", "rep"}], "]"}], ",", 
   RowBox[{"TypeOfRepresentation", "[", 
    RowBox[{"SU3", ",", "rep"}], "]"}]}], "}"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->3865296,ExpressionUUID->"d5e00f38-7a03-4602-8a77-e23f20296947"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\<\"3\"\>",
    StripOnInput->False,
    FontWeight->Bold], ",", "\<\"C\"\>"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->2246881,ExpressionUUID->"0f43a23d-15f7-4cae-a392-6937ef54e99a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   StyleBox["\<\"8\"\>",
    StripOnInput->False,
    FontWeight->Bold], ",", "\<\"R\"\>"}], "}"}]], "Output",
 CellLabel->"Out[1]=",
 CellID->413956064,ExpressionUUID->"98d19beb-fa64-478e-a465-c89af0f659a8"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",ExpressionUUID->"402a7a1e-fb1f-4b58-bf3d-714277a650c0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"8172a4be-f4f7-4acf-a58f-85810347feda"],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->250839057,ExpressionUUID->"3e374689-86f4-42c3-b0cd-32698659d9b5"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"6535563c-06c9-489a-9c28-96248deda6db"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["GroupMath Tutorial"]],"paclet:GroupMath/tutorial/GroupMathDoc"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->341631938,ExpressionUUID->"84eb3604-46a0-42cd-a0cf-aa20d3437e48"],

Cell["", "SectionFooterSpacer",ExpressionUUID->"4117b59d-544d-4720-a9a1-803f539a3045"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{6},
   "Spacer1"]],ExpressionUUID->"0654fd91-e727-4252-8abb-77345f46545c"],
 "Related Links"
}], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535,ExpressionUUID->"6735bc3c-a673-4901-8c72-ad6a3dd2f0e7"],

Cell["", "SectionHeaderSpacer",ExpressionUUID->"458eb332-5f3a-488d-921e-fa9b3136c38e"],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CartanMatrix"]],"paclet:GroupMath/ref/CartanMatrix"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "d7cb4bcf-c5f4-4c28-8d1a-8b2f23654589"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["RepName"]],"paclet:GroupMath/ref/RepName"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "f4917beb-194d-4bfc-b79c-f0ed572f16e0"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["ConjugateIrrep"]],"paclet:GroupMath/ref/ConjugateIrrep"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula",ExpressionUUID->
  "e55f55d8-34f7-48db-9190-fd4d1c2314f7"]
}], "SeeAlso",
 CellID->1038487239,ExpressionUUID->"22016a3c-7c4d-4770-b029-92eaaec2c29c"]
}, Open  ]],

Cell[" ", "FooterCell",ExpressionUUID->"697c23b6-36c9-46a7-9e38-81d221f67455"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"TypeOfRepresentation",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:GroupMath/guide/GroupMath", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2020, 3, 20, 20, 20, 50.4351327}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "GroupMath`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Group Math Symbol", "language" -> "en", "paclet" -> "GroupMath", 
    "status" -> "None", "summary" -> 
    "TypeOfRepresentation[simple gauge group, representation] Indicates if \
the given representation of the simple gauge group is real (\"R\"), \
pseudo-real (\"PR\") or complex (\"C\")", "synonyms" -> {}, "tabletags" -> {},
     "title" -> "TypeOfRepresentation", "titlemodifier" -> "", "windowtitle" -> 
    "TypeOfRepresentation", "type" -> "Symbol", "uri" -> 
    "GroupMath/ref/TypeOfRepresentation", "WorkflowDockedCell" -> ""}, 
  "SearchTextTranslated" -> "", "NewStyles" -> False},
CellContext->"Global`",
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  TaggingRules -> {"NewStyles" -> False}, FrontEndVersion -> 
  "12.0 for Microsoft Windows (64-bit) (April 8, 2019)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[9040, 237, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"ce2777f4-2bc4-4f1e-bd3c-2eb3f0078ded",
   CellTags->"PrimaryExamplesSection",
   CellID->179268980]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 18230, 515}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[592, 21, 3484, 77, 53, "AnchorBarGrid",ExpressionUUID->"a2db8215-0e79-4e3e-b406-a9fa92b9f57e",
 CellID->1],
Cell[CellGroupData[{
Cell[4101, 102, 405, 9, 52, "ObjectNameGrid",ExpressionUUID->"67775cf2-a609-40d6-8029-13c73c1daa16"],
Cell[4509, 113, 1317, 33, 131, "Usage",ExpressionUUID->"58cf1156-a4fa-4d34-b5dd-43a11c5f64eb",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5863, 151, 854, 21, 37, "NotesSection",ExpressionUUID->"874fc7a5-93c9-49d0-9bfc-5e6e6ef224ce",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->78877111],
Cell[6720, 174, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"ae8bc9af-ba32-4428-8cb0-40e44970b75b"],
Cell[6809, 176, 389, 10, 70, "Notes",ExpressionUUID->"efea3306-f6fe-43bc-906b-c1067786df45",
 CellID->1067943069],
Cell[7201, 188, 494, 12, 70, "Notes",ExpressionUUID->"cd769bfd-a611-422c-8c1d-3f50ed7c1871",
 CellID->83646499],
Cell[7698, 202, 1216, 28, 70, "Notes",ExpressionUUID->"598d4975-12b7-4d1d-88f6-e49ec7370278",
 CellID->2986264],
Cell[8917, 232, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"bab82638-9323-494b-83eb-367cc06b2f39"]
}, Closed]],
Cell[CellGroupData[{
Cell[9040, 237, 435, 11, 35, "PrimaryExamplesSection",ExpressionUUID->"ce2777f4-2bc4-4f1e-bd3c-2eb3f0078ded",
 CellTags->"PrimaryExamplesSection",
 CellID->179268980],
Cell[CellGroupData[{
Cell[9500, 252, 308, 7, 29, "ExampleSection",ExpressionUUID->"9dadd0f9-0e19-495a-81fc-0dea3c9932ea",
 CellID->166078870],
Cell[9811, 261, 196, 4, 38, "ExampleText",ExpressionUUID->"f5c2f98e-86a3-454b-926b-8526392f0122",
 CellID->112390457],
Cell[CellGroupData[{
Cell[10032, 269, 715, 20, 75, "Input",ExpressionUUID->"5c661c44-55ba-42d7-ae62-cad902e6efc5",
 CellID->694008719],
Cell[10750, 291, 249, 7, 35, "Output",ExpressionUUID->"66392672-4f22-4a93-83ab-8aab372787e2",
 CellID->166665548],
Cell[11002, 300, 247, 7, 35, "Output",ExpressionUUID->"3a90246f-2b73-4b8f-85b9-89d24486008d",
 CellID->40101906]
}, Open  ]],
Cell[11264, 310, 173, 3, 38, "ExampleText",ExpressionUUID->"f14161c6-600c-46e5-9ee1-b7e5437d8601",
 CellID->747111503],
Cell[CellGroupData[{
Cell[11462, 317, 297, 6, 43, "Input",ExpressionUUID->"2b35eed0-ed18-4261-b6d5-77d3a05ba9e4",
 CellID->337206467],
Cell[11762, 325, 135, 2, 35, "Output",ExpressionUUID->"105fc123-d84b-409a-bb6a-5426c36e181a",
 CellID->134169486],
Cell[11900, 329, 134, 2, 35, "Output",ExpressionUUID->"457079aa-c0fb-452b-b5c1-3888dc576120",
 CellID->188771234]
}, Open  ]],
Cell[CellGroupData[{
Cell[12071, 336, 242, 5, 8, "ExampleDelimiter",ExpressionUUID->"cae2985f-9418-4ca0-9ced-c443e4aa4e42",
 CellID->118301402],
Cell[12316, 343, 190, 4, 38, "ExampleText",ExpressionUUID->"deea6445-3c37-44b2-adc6-594e862c23a6",
 CellID->215890321],
Cell[CellGroupData[{
Cell[12531, 351, 763, 22, 75, "Input",ExpressionUUID->"d5e00f38-7a03-4602-8a77-e23f20296947",
 CellID->3865296],
Cell[13297, 375, 246, 7, 35, "Output",ExpressionUUID->"0f43a23d-15f7-4cae-a392-6937ef54e99a",
 CellID->2246881],
Cell[13546, 384, 248, 7, 35, "Output",ExpressionUUID->"98d19beb-fa64-478e-a465-c89af0f659a8",
 CellID->413956064]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[13833, 396, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"402a7a1e-fb1f-4b58-bf3d-714277a650c0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13956, 401, 262, 7, 70, "TutorialsSection",ExpressionUUID->"3e374689-86f4-42c3-b0cd-32698659d9b5",
 CellID->250839057],
Cell[14221, 410, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"6535563c-06c9-489a-9c28-96248deda6db"],
Cell[14310, 412, 241, 5, 70, "Tutorials",ExpressionUUID->"84eb3604-46a0-42cd-a0cf-aa20d3437e48",
 CellID->341631938],
Cell[14554, 419, 86, 0, 70, "SectionFooterSpacer",ExpressionUUID->"4117b59d-544d-4720-a9a1-803f539a3045"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14677, 424, 270, 7, 70, "RelatedLinksSection",ExpressionUUID->"6735bc3c-a673-4901-8c72-ad6a3dd2f0e7",
 CellID->1584193535],
Cell[14950, 433, 86, 0, 70, "SectionHeaderSpacer",ExpressionUUID->"458eb332-5f3a-488d-921e-fa9b3136c38e"],
Cell[15039, 435, 1027, 28, 70, "SeeAlso",ExpressionUUID->"22016a3c-7c4d-4770-b029-92eaaec2c29c",
 CellID->1038487239]
}, Open  ]],
Cell[16081, 466, 78, 0, 70, "FooterCell",ExpressionUUID->"697c23b6-36c9-46a7-9e38-81d221f67455"]
}
]
*)

(* End of internal cache information *)

